SystemOrganization addCategory: #'Glamour-Morphic-Theme'!

UIThemeWatery subclass: #GLMUITheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Morphic-Theme'!

!GLMUITheme commentStamp: 'TudorGirba 1/30/2011 22:51' prior: 0!
The theme is developed in the context of the Glamour project, and its goal is to create a look that:
- does not look like a specific operating system. In particular, the icons should be operating system agnostic, because, for example, people in Windows are confused by the red, yellow, green buttons of apple.
- uses a limited amount of colors and effects.
- is fast.

self defaultSettings: nil.
self beCurrent. !

!GLMUITheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/31/2012 22:51'!
baseColor
	^ Color r: 210 g: 210 b: 210 range: 255! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'tg 9/5/2010 20:50'!
basePassiveBackgroundColor
	^ Color r: 245 g: 245 b: 245 range: 255! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'tg 9/5/2010 21:46'!
baseSelectionColor
	^ Color r: 97 g: 163 b: 225 range: 255! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/31/2012 22:33'!
darkBaseColor
	^ Color r: 200 g: 200 b: 200 range: 255! !

!GLMUITheme class methodsFor: 'private' stamp: 'tg 11/5/2010 20:50'!
importGlamorousIcons
	"utility method to import the icons necessary for the theme from the file system"
	"self importGlamorousIcons"
	| icons |
	icons := #(
		'glamorousMax'
		'glamorousMin'
		'glamorousClose'
		'glamorousMenu'
		'glamorousMaxInactive'
		'glamorousMinInactive'
		'glamorousCloseInactive'
		'glamorousMenuInactive'
		'glamorousMenuPin'
		'glamorousCheckboxSelected'
		'glamorousCheckboxUnselected'
		'glamorousRadioSelected'
		'glamorousRadioUnselected').
	self importIcons: icons fromFolder: 'icons' inClass: GLMUIThemeIcons category: '*glamour-morphic-theme'! !

!GLMUITheme class methodsFor: 'private' stamp: 'tg 9/3/2010 14:28'!
importIcons: icons fromFolder: aString inClass: aClass category: aCategory
	icons
		do: [:each |
			| method form |
			form := PNGReadWriter formFromFileNamed: aString, '/', each , '.png'.
			method := each , Character cr asString ,
				(aClass methodStart: each),		
				form storeString,
				aClass methodEnd.
			aClass class compile: method classified: aCategory ].
	aClass initialize! !

!GLMUITheme class methodsFor: 'testing' stamp: 'TudorGirba 4/7/2011 23:45'!
isAbstract
	"Answer whether the receiver is considered to be abstract."

	^false! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/31/2012 22:35'!
lightBaseColor
	^ Color r: 230 g: 230 b: 230 range: 255! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'tg 9/7/2010 13:51'!
lightSelectionColor
	^ Color r: 175 g: 213 b: 250 range: 255! !

!GLMUITheme class methodsFor: 'settings' stamp: 'TudorGirba 4/2/2013 23:18'!
newDefaultSettings
	self setPreferredPreferences.
	
	BalloonMorph setBalloonColorTo: self lightSelectionColor.
	^super newDefaultSettings
		menuColor: self baseColor;
		menuTitleColor: self baseColor;
		windowColor: self baseColor;
		selectionColor: self lightSelectionColor;
		menuSelectionColor: self baseSelectionColor;
		progressBarColor: self baseColor;
		standardColorsOnly: true;
		autoSelectionColor: false;
		preferRoundCorner: false;
		fadedBackgroundWindows: false;
		secondarySelectionColor: self veryLightSelectionColor;
		flatMenu: true! !

!GLMUITheme class methodsFor: 'settings' stamp: 'TudorGirba 4/2/2013 23:17'!
setPreferredPreferences
	NECPreferences 
		expandPrefixes: true;
		popupShowWithShortcut: Character tab asShortcut.! !

!GLMUITheme class methodsFor: 'settings' stamp: 'usmanbhatti 4/9/2014 11:59'!
setPreferredShoutColors
	"self setPreferredShoutColors"
	SHTextStylerST80 styleTable: 
		#(
			"(symbol color [emphasisSymbolOrArray [textStyleName [pixelHeight]]])" 
			(default 								black)
			(invalid 									red)
			(excessCode 							red)
			(comment 								(gray darker))
			(unfinishedComment 					(red muchDarker))
			(#'$' 									(red muchDarker))
			(character 								(red muchDarker))
			(integer 								(red muchDarker))
			(number 								(red muchDarker)) 
			(#- 										(red muchDarker))
			(symbol 								(magenta muchDarker)) 
			(stringSymbol 							(magenta muchDarker)) 
			(literalArray 							(magenta muchDarker))
			(string 									(magenta muchDarker) normal)
			(unfinishedString 						red normal)
			(assignment 							nil)
			(ansiAssignment 						nil)
			(literal 									nil italic)
			(keyword 								(black))
			(binary 									(black)) 
			(unary 									(black))
			(incompleteIdentifier 				nil italic)
			(incompleteKeyword 					nil  italic)
			(incompleteBinary 						nil  italic) 
			(incompleteUnary 						nil  italic)
			(undefinedIdentifier 					red)
			(undefinedKeyword 					red)
			(undefinedBinary 						red) 
			(undefinedUnary 						red) 
			(patternKeyword 						nil bold)
			(patternBinary 							nil bold)
			(patternUnary 							nil bold) 
			(#self 									(cyan muchDarker ))
			(#super 								(cyan muchDarker ))
			(#true 									(red muchDarker))
			(#false 									(red muchDarker))
			(#nil 									(red muchDarker))
			(#thisContext 							(cyan muchDarker ))
			(#return 								(cyan muchDarker ) bold)
			(patternArg 							(blue muchDarker)) 
			(methodArg 							(blue muchDarker))
			(blockPatternArg 						(blue muchDarker))
			(blockArg 								(blue muchDarker))
			(argument 								(blue muchDarker))
			(blockArgColon 						black)
			(leftParenthesis 						black)
			(rightParenthesis 						black)
			(leftParenthesis1 						(green muchDarker))
			(rightParenthesis1 						(green muchDarker))
			(leftParenthesis2 						(magenta muchDarker))
			(rightParenthesis2 						(magenta muchDarker))
			(leftParenthesis3 						(red muchDarker))
			(rightParenthesis3 						(red muchDarker))
			(leftParenthesis4 						(green darker))
			(rightParenthesis4 						(green darker))
			(leftParenthesis5 						(orange darker))
			(rightParenthesis5 						(orange darker))
			(leftParenthesis6 						(magenta darker))
			(rightParenthesis6 						(magenta darker))
			(leftParenthesis7 						blue)
			(rightParenthesis7 						blue)
			(blockStart 								black)
			(blockEnd 								black)
			(blockStart1 							(green muchDarker))
			(blockEnd1 								(green muchDarker))
			(blockStart2 							(magenta muchDarker))
			(blockEnd2 								(magenta muchDarker))
			(blockStart3 							(red muchDarker))
			(blockEnd3 								(red muchDarker))
			(blockStart4 							(green darker))
			(blockEnd4 								(green darker))
			(blockStart5 							(orange darker))
			(blockEnd5 								(orange darker))
			(blockStart6 							(magenta darker))
			(blockEnd6 								(magenta darker))
			(blockStart7 							blue)
			(blockEnd7 								blue) 
			(arrayStart 								black)
			(arrayEnd 								black)
			(arrayStart1 							black)
			(arrayEnd1 								black)
			(leftBrace 								black)
			(rightBrace 								black)
			(cascadeSeparator 					black)
			(statementSeparator 					black)
			(externalCallType 						black)
			(externalCallTypePointerIndicator 		black)
			(primitiveOrExternalCallStart 			black bold)
			(primitiveOrExternalCallEnd 			black bold)
			(methodTempBar 						(black))
			(blockTempBar 						(black))
			(blockArgsBar 							(black))
			(primitive 								(green muchDarker))
			(pragmaKeyword 						(green muchDarker))
			(pragmaUnary 							(green muchDarker))
			(pragmaBinary 							(green muchDarker)) 
			(externalFunctionCallingConvention 	(green muchDarker) bold)
			(module 								(green muchDarker) bold)
			(blockTempVar 						(blue muchDarker))
			(blockPatternTempVar 					(blue muchDarker))
			(instVar 								(blue muchDarker))
			(workspaceVar 							(blue muchDarker))
			(undefinedIdentifier 					red)
			(tempVar 								(blue muchDarker))
			(patternTempVar 						(blue muchDarker))
			(poolConstant 							(blue muchDarker))
			(classVar 								(blue muchDarker))
			(globalVar 								(blue muchDarker)))
! !

!GLMUITheme class methodsFor: 'settings' stamp: 'TudorGirba 4/8/2011 00:13'!
setPreferredWorldBackground
	"self setPreferredWorldBackground"
	World color: Color white! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'tg 1/14/2010 03:12'!
themeName
	^ 'Glamorous'! !

!GLMUITheme class methodsFor: 'accessing' stamp: 'TudorGirba 11/29/2012 09:19'!
veryLightSelectionColor
	^ self lightSelectionColor muchLighter! !

!GLMUITheme methodsFor: 'border-styles-buttons' stamp: 'tg 9/4/2010 23:06'!
buttonCornerStyleIn: aThemedMorph
	"If asked, we only allow square corners"
	
	^ #square! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'tg 8/31/2010 08:32'!
buttonLabelForText: aTextOrString
	"Answer the label to use for the given text."
	^aTextOrString isString
		ifTrue: [(LabelMorph contents: aTextOrString) color: Color black]
		ifFalse: [super buttonLabelForText: aTextOrString]! !

!GLMUITheme methodsFor: 'defaults' stamp: 'tg 9/6/2010 14:04'!
buttonMinHeight
	"Answer the minumum height of a button for this theme."
	
	^24! !

!GLMUITheme methodsFor: 'defaults' stamp: 'tg 9/6/2010 14:04'!
buttonMinWidth
	"Answer the minumum width of a button for this theme."
	
	^24! !

!GLMUITheme methodsFor: 'border-styles-buttons' stamp: 'TudorGirba 4/12/2011 08:18'!
buttonNormalBorderStyleFor: aButton
	"Return the normal button borderStyle for the given button."

	| outerColor innerColor |
	(aButton valueOfProperty: #noBorder ifAbsent: [false]) ifTrue: [
		^ SimpleBorder new width: 0; baseColor: Color transparent ].
	outerColor := self glamorousDarkBaseColorFor: aButton.
	^SimpleBorder new
					width: 1;
					baseColor: outerColor! !

!GLMUITheme methodsFor: 'fill-styles-buttons' stamp: 'tg 9/3/2010 12:21'!
buttonNormalFillStyleFor: aButton
	"Return the normal button fillStyle for the given button."
	
	(aButton valueOfProperty: #noFill ifAbsent: [false]) ifTrue: [^ SolidFillStyle color: Color transparent ].
	^ self glamorousNormalFillStyleFor: aButton height: aButton height! !

!GLMUITheme methodsFor: 'border-styles-buttons' stamp: 'tg 8/31/2010 11:09'!
buttonSelectedBorderStyleFor: aButton
	^ self buttonNormalBorderStyleFor: aButton! !

!GLMUITheme methodsFor: 'fill-styles-buttons' stamp: 'tg 9/13/2010 10:37'!
buttonSelectedFillStyleFor: aButton
	"Return the normal button fillStyle for the given button."
	
	| top bottom |
	top := self glamorousLightSelectionColorFor: aButton.
	bottom := self glamorousLightColorFor: aButton.

	^(GradientFillStyle ramp: {
			0.0->top.
			0.7->bottom.})
		origin: aButton bounds origin;
		direction: 0 @ aButton height;
		radial: false! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 09:08'!
checkboxForm
	"Answer the form to use for a normal checkbox."

	^self  checkboxUnselectedForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 14:10'!
checkboxSelectedForm
	"Answer the form to use for a selected checkbox."

	^GLMUIThemeIcons checkboxSelectedForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:54'!
checkboxUnselectedForm
	"Answer the form to use for a selected checkbox."

	^ GLMUIThemeIcons checkboxUnselectedForm! !

!GLMUITheme methodsFor: 'watcher window' stamp: 'TudorGirba 5/23/2012 14:26'!
configureWatcherWindowLabelAreaFor: aWindow
	"Configure the label area for the given Watcher window."

	|padding|
	padding := 0.
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0).
	aWindow hasCloseBox ifTrue: [aWindow addCloseBox. padding := padding + 1].
"	aWindow hasCollapseBox ifTrue: [aWindow addCollapseBox. padding := padding + 1].
	aWindow hasExpandBox ifTrue: [aWindow addExpandBox. padding := padding + 1].
	aWindow hasMenuBox ifTrue: [padding := padding - 1].
"	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	aWindow basicLabel ifNotNil: [:label | aWindow labelArea addMorphBack: label; hResizing: #shrinkWrap].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	padding > 0 ifTrue: [
		aWindow labelArea
			addMorphBack: (Morph new extent: (aWindow boxExtent x * padding) @ 0)].
"	aWindow hasMenuBox ifTrue: [aWindow addMenuControl]."
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0)! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'TudorGirba 6/1/2012 19:40'!
configureWindowBorderFor: aWindow
"	super configureWindowBorderFor: aWindow.
	aWindow roundedCorners: #()"
	| aStyle |
	
	aStyle := 
		SimpleBorder new 
			color: (Color lightGray);
			width: 1.
			
	aWindow borderStyle: aStyle.! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/23/2012 14:24'!
configureWindowDropShadowFor: aWindow

	aWindow hasDropShadow: false! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'TudorGirba 4/8/2011 00:12'!
configureWindowLabelAreaFor: aWindow
	"Configure the label area for the given window."

	|padding|
	padding := 0.
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0).
	aWindow hasCloseBox ifTrue: [aWindow addCloseBox. padding := padding + 1].
	aWindow hasCollapseBox ifTrue: [aWindow addCollapseBox. padding := padding + 1].
	aWindow hasExpandBox ifTrue: [aWindow addExpandBox. padding := padding + 1].
	aWindow hasMenuBox ifTrue: [padding := padding - 1].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	aWindow basicLabel ifNotNil: [:label | aWindow labelArea addMorphBack: label; hResizing: #shrinkWrap].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	padding > 0 ifTrue: [
		aWindow labelArea
			addMorphBack: (Morph new extent: (aWindow boxExtent x * padding) @ 0)].
	aWindow hasMenuBox ifTrue: [aWindow addMenuControl].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0)! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'TudorGirba 4/8/2011 01:17'!
createCollapseBoxFor: aSystemWindow
	"Answer a button for minimising the window."
	
	|form msb|
	form := self windowMinimizeForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizePassiveForm.
	msb extent: form extent.
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizeOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow collapseBoxHit];
		setBalloonText: 'Collapse this window' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'TudorGirba 4/8/2011 01:17'!
createExpandBoxFor: aSystemWindow
	"Answer a button for maximising/restoring the window."
	
	|form msb|
	form := self windowMaximizeForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizePassiveForm.
	msb extent: form extent.
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizeOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow expandBoxHit];
		setBalloonText: 'Expand to full screen' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'tg 9/3/2010 11:34'!
createMenuBoxFor: aSystemWindow
	"Answer a button for the window menu."
	
"	^aSystemWindow createBox
		labelGraphic: (self windowMenuIconFor: aSystemWindow);
		extent: aSystemWindow boxExtent;
		actWhen: #buttonDown;
		actionSelector: #offerWindowMenu;
		setBalloonText: 'window menu' translated"
	
	|form msb|
	form := self windowMenuForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuPassiveForm.
	msb extent: form extent.
	msb activeDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuPassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow offerWindowMenu];
		setBalloonText: 'window menu' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!GLMUITheme methodsFor: 'defaults' stamp: 'TudorGirba 7/26/2011 12:08'!
dialogWindowPreferredCornerStyleFor: aDialogWindow
	"Answer the preferred corner style for the given dialog."

	^#square! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/3/2010 12:30'!
dockingBarNormalFillStyleFor: aToolDockingBar
	^ SolidFillStyle color: Color transparent! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/5/2010 20:47'!
dropListDisabledFillStyleFor: aDropList
	"Return the disabled fillStyle for the given drop list."
	
	^ self textEditorDisabledFillStyleFor: aDropList! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/4/2010 22:55'!
dropListNormalBorderStyleFor: aDropList
	"Return the normal borderStyle for the given drop list"

	^ self buttonNormalBorderStyleFor: aDropList! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/4/2010 23:04'!
dropListNormalFillStyleFor: aDropList
	"Return the normal fillStyle for the given drop list."
	
	^ SolidFillStyle color: Color white! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 1/25/2011 15:39'!
expanderTitleNormalFillStyleFor: anExpanderTitle
	"Return the normal expander title fillStyle for the given expander title."
	
	^ self buttonNormalFillStyleFor: anExpanderTitle! !

!GLMUITheme methodsFor: 'private' stamp: 'tg 9/3/2010 12:32'!
glamorousBaseColorFor: aButton
	^ self class baseColor
	"unfortunately, it looks like paneColor does not always return the wanted color"
	"aButton paneColorOrNil ifNil: [Color r: 200 g: 200 b: 200 range: 255]"! !

!GLMUITheme methodsFor: 'private' stamp: 'tg 9/5/2010 20:40'!
glamorousBasePassiveBackgroundColorFor: aButton
	^ self class basePassiveBackgroundColor! !

!GLMUITheme methodsFor: 'private' stamp: 'tg 9/5/2010 20:40'!
glamorousBaseSelectionColorFor: aButton
	^ self class baseSelectionColor! !

!GLMUITheme methodsFor: 'private' stamp: 'tg 9/9/2010 22:50'!
glamorousDarkBaseColorFor: aButton
	^ self class darkBaseColor! !

!GLMUITheme methodsFor: 'private' stamp: 'tg 9/9/2010 22:02'!
glamorousLightColorFor: aButton
	^ self class lightBaseColor! !

!GLMUITheme methodsFor: 'private' stamp: 'TudorGirba 4/12/2011 08:24'!
glamorousLightSelectionColorFor: aMorph
	^ self class lightSelectionColor! !

!GLMUITheme methodsFor: 'private' stamp: 'TudorGirba 4/11/2011 21:25'!
glamorousNormalFillStyleFor: aMorph height: anInteger
	"Return the normal button fillStyle for the given button."
	
"	| baseColor |
	baseColor := self glamorousBaseColorFor: aMorph.
	^ self glamorousNormalFillStyleWithBaseColor: baseColor for: aMorph height: anInteger
"

	^ SolidFillStyle color: (self glamorousLightColorFor: aMorph)! !

!GLMUITheme methodsFor: 'private' stamp: 'TudorGirba 4/11/2011 01:37'!
glamorousNormalFillStyleWithBaseColor: aColor for: aMorph height: anInteger	
	| top bottom |
	top := aColor darker.
	bottom := aColor.
	^(GradientFillStyle ramp: {
			0.0->top.
			0.7->bottom.})
		origin: aMorph bounds origin;
		direction: 0 @ anInteger;
		radial: false! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/9/2010 23:51'!
groupPanelBorderStyleFor: aGroupPanel
	"Answer the normal border style for a group panel."

	^ SimpleBorder new
		width: 1;
		baseColor: ((self glamorousBaseColorFor: aGroupPanel))! !

!GLMUITheme methodsFor: 'growl - specific' stamp: 'TudorGirba 4/18/2012 09:32'!
growlBorderColorFor: aGrowlMorph
	^ Color white alpha: 0.5! !

!GLMUITheme methodsFor: 'growl - specific' stamp: 'TudorGirba 4/17/2012 15:00'!
growlContentsColorFor: aGrowlMorph
	^ Color white! !

!GLMUITheme methodsFor: 'growl - specific' stamp: 'TudorGirba 4/18/2012 09:16'!
growlDismissHandleFor: aGrowlMorph
	| form image |
	form := self windowCloseForm.
	image := ImageMorph new.
	image image: form.
	image color: Color yellow.
	^ image! !

!GLMUITheme methodsFor: 'growl - specific' stamp: 'TudorGirba 4/18/2012 09:30'!
growlFillColorFor: aGrowlMorph
	^ Color darkGray alpha: 0.5! !

!GLMUITheme methodsFor: 'growl - specific' stamp: 'TudorGirba 4/18/2012 09:12'!
growlLabelColorFor: aGrowlMorph
	^ Color white twiceDarker! !

!GLMUITheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/23/2012 14:22'!
initialize
	"self beCurrent"

	super initialize.
	self windowActiveDropShadowStyle: #diffuse! !

!GLMUITheme methodsFor: 'initialize-release' stamp: 'TudorGirba 4/8/2011 01:09'!
initializeForms
	"Initialize the receiver's image forms."

	|inactiveForm|
	super initializeForms.
	inactiveForm := self newWindowInactiveControlForm.
	self forms
		at: #windowCloseOver put: self newWindowCloseOverForm;
		at: #windowMinimizeOver put: self newWindowMinimizeOverForm;
		at: #windowMaximizeOver put: self newWindowMaximizeOverForm;
		at: #windowClosePassive put: inactiveForm;
		at: #windowMinimizePassive put: inactiveForm;
		at: #windowMaximizePassive put: inactiveForm! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/5/2010 20:48'!
listDisabledFillStyleFor: aList
	"Return the disabled fillStyle for the given list."
	
	^ self textEditorDisabledFillStyleFor: aList! !

!GLMUITheme methodsFor: 'fill-styles-buttons' stamp: 'tg 9/10/2010 08:12'!
menuItemInDockingBarSelectedFillStyleFor: aMenuItem
	"Answer the selected fill style to use for the given menu item that is in a docking bar."
	^ self buttonSelectedFillStyleFor: aMenuItem! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 09:09'!
menuPinForm
	"Answer the form to use for the pin button of a menu."

	^ GLMUIThemeIcons menuPinForm! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 8/21/2011 16:47'!
morphTreeSplitterNormalFillStyleFor: aSplitter	
	^ self splitterNormalFillStyleFor: aSplitter! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 8/21/2011 16:49'!
morphTreeSplitterPressedFillStyleFor: aSplitter	
	^ self splitterPressedFillStyleFor: aSplitter! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 09:09'!
newCheckboxMarkerForm
	"Answer a new checkbox marker form."

	^GLMUIThemeIcons checkboxMarkerForm! !

!GLMUITheme methodsFor: 'morph creation' stamp: 'TudorGirba 4/8/2011 01:15'!
newCloseControlIn: aThemedMorph for: aModel action: aValuable help: helpText
	"Answer a button for closing things."
	
	|form msb|
	form := self windowCloseForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowClosePassiveForm.
	msb extent: form extent.
	msb activeDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowCloseOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowClosePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: aValuable;
		setBalloonText: helpText.
	^msb! !

!GLMUITheme methodsFor: 'morph creation' stamp: 'tg 9/5/2010 21:28'!
newFocusIndicatorMorphFor: aMorph
	"Answer a new focus indicator for the given morph."

	|radius|
	radius := aMorph focusIndicatorCornerRadius.
	^ BorderedMorph new
		fillStyle: Color transparent;
		borderStyle: (SimpleBorder new
			 width: 1;
			baseColor: (self glamorousBaseSelectionColorFor: aMorph));
		bounds: aMorph focusBounds! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 09:46'!
newRadioButtonMarkerForm
	"Answer a new radio button marker form. We make it empty because we already have the selected radio button take care of the state."

	^GLMUIThemeIcons radioButtonMarkerForm  ! !

!GLMUITheme methodsFor: 'initialize-release' stamp: 'tg 9/6/2010 14:38'!
newRadioMarkerForm
	"Answer a new checkbox marker form."

	^Form extent: 12@12 depth: 32! !

!GLMUITheme methodsFor: 'initialize-release' stamp: 'TudorGirba 4/8/2011 01:06'!
newTreeExpandedForm
	"Answer a new form for an expanded tree item."

	^(Form
	extent: 9@9
	depth: 32
	fromArray: #( 1049135240 2290649224 2290649224 2290649224 2290649224 2290649224 2290649224 2290649224 1200130184 478709896 4169697416 4287137928 4287137928 4287137928 4287137928 4287137928 4236806280 646482056 16777215 2508753032 4287137928 4287137928 4287137928 4287137928 4287137928 2726856840 16777215 16777215 495487112 4186474632 4287137928 4287137928 4287137928 4236806280 612927624 16777215 16777215 16777215 2542307464 4287137928 4287137928 4287137928 2676525192 16777215 16777215 16777215 16777215 478709896 4169697416 4287137928 4220029064 579373192 16777215 16777215 16777215 16777215 16777215 2424866952 4287137928 2626193544 16777215 16777215 16777215 16777215 16777215 16777215 394823816 4018702472 529041544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 864585864 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!GLMUITheme methodsFor: 'initialize-release' stamp: 'TudorGirba 4/8/2011 01:06'!
newTreeUnexpandedForm
	"Answer a new form for an unexpanded tree item."

	^(Form
	extent: 9@9
	depth: 32
	fromArray: #( 1049135240 461932680 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2324203656 4152920200 2458421384 428378248 16777215 16777215 16777215 16777215 16777215 2357758088 4287137928 4287137928 4152920200 2408089736 394823816 16777215 16777215 16777215 2391312520 4287137928 4287137928 4287137928 4287137928 4119365768 2324203656 344492168 16777215 2408089736 4287137928 4287137928 4287137928 4287137928 4287137928 4287137928 3968370824 780699784 2391312520 4287137928 4287137928 4287137928 4287137928 4236806280 2659747976 529041544 16777215 2357758088 4287137928 4287137928 4253583496 2810742920 646482056 16777215 16777215 16777215 2324203656 4253583496 2777188488 696813704 16777215 16777215 16777215 16777215 16777215 1200130184 663259272 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:05'!
newWindowCloseForm
	"Answer a new form for a window close box."

	^ GLMUIThemeIcons windowCloseForm ! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 14:18'!
newWindowCloseOverForm
	"Answer a new form for a window menu box."

	^ self newWindowCloseForm! !

!GLMUITheme methodsFor: 'initialize-release' stamp: 'TudorGirba 4/8/2011 01:08'!
newWindowInactiveControlForm
	"Answer a new form for an inactive window control box."

	^(Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4291677645 4288585374 4286085240 4284243036 4284243036 4286085240 4288585374 4291677645 0 0 0 0 0 0 0 4289572269 4285756275 4286479998 4288716960 4289835441 4289835441 4288716960 4286479998 4285756275 4289572269 0 0 0 0 0 4289506476 4284835173 4287335307 4290559164 4292598747 4293322470 4293322470 4292598747 4290559164 4287335307 4284703587 4289506476 0 0 0 4291546059 4285493103 4286414205 4288980132 4291217094 4292335575 4292598747 4292598747 4292335575 4291282887 4288980132 4286282619 4285493103 4291546059 0 0 4288980132 4285361517 4287466893 4288782753 4289835441 4290295992 4290295992 4290427578 4290164406 4289835441 4288782753 4287466893 4285361517 4288980132 0 0 4286282619 4286611584 4288059030 4288716960 4289177511 4289572269 4289835441 4289835441 4289703855 4289374890 4288782753 4288059030 4286611584 4286282619 0 0 4285164138 4287664272 4288782753 4289374890 4289835441 4290427578 4290624957 4290624957 4290559164 4290032820 4289374890 4288914339 4287664272 4285164138 0 0 4285361517 4288322202 4289703855 4290295992 4290822336 4291414473 4291677645 4291677645 4291414473 4291085508 4290427578 4289703855 4288453788 4285624689 0 0 4287072135 4288716960 4290427578 4291217094 4291677645 4292203989 4292598747 4292598747 4292335575 4291809231 4291217094 4290427578 4288716960 4287203721 0 0 4288980132 4288256409 4290624957 4291677645 4292335575 4292927712 4293256677 4293256677 4293059298 4292598747 4291809231 4290822336 4288256409 4289177511 0 0 4291677645 4287664272 4290295992 4292006610 4293059298 4293454056 4293585642 4293585642 4293454056 4293125091 4292203989 4290427578 4287730065 4291677645 0 0 4293256677 4290032820 4288124823 4291217094 4292796126 4293322470 4293717228 4293717228 4293454056 4292927712 4291677645 4288256409 4290032820 4293256677 0 0 0 4293454056 4290032820 4288322202 4289967027 4291546059 4292598747 4292664540 4291677645 4290295992 4288716960 4290032820 4293454056 0 0 0 0 0 4293322470 4292203989 4289835441 4288782753 4288322202 4288453788 4288980132 4289835441 4292335575 4293322470 0 0 0 0 0 0 0 4293059298 4293585642 4293717228 4293585642 4293585642 4293585642 4293585642 4293059298 0 0 0 0)
	offset: 0@0)! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:06'!
newWindowMaximizeForm
	"Answer a new form for a window maximize box."

	^ GLMUIThemeIcons windowMaximizeForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 14:18'!
newWindowMaximizeOverForm
	"Answer a new form for a window menu box."

	^ self newWindowMaximizeForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:08'!
newWindowMenuForm
	"Answer a new form for a window menu box."

	^ GLMUIThemeIcons windowMenuForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:15'!
newWindowMenuPassiveForm
	"Answer a new form for a window menu box."

	^ GLMUIThemeIcons windowMenuInactiveForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:10'!
newWindowMinimizeForm
	"Answer a new form for a window minimize box."

	^ GLMUIThemeIcons windowMinimizeForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 15:09'!
newWindowMinimizeOverForm
	"Answer a new form for a window menu box."

	^ self newWindowMinimizeForm! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/3/2010 14:50'!
plainGroupPanelBorderStyleFor: aGroupPanel
	"Answer the normal border style for a plain group panel."

	^SimpleBorder new
		width: 1;
		baseColor: Color transparent! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/5/2010 20:51'!
progressBarFillStyleFor: aProgressBar
	^ self glamorousBasePassiveBackgroundColorFor: aProgressBar! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/7/2010 13:52'!
progressBarProgressFillStyleFor: aProgressBar
	^ (self glamorousLightSelectionColorFor: aProgressBar)! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 4/14/2011 10:28'!
progressFillStyleFor: aProgress
	"Return the progress fillStyle for the given progress morph."
	^ self windowActiveFillStyleFor: aProgress  ! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 14:11'!
radioButtonForm
	"Answer the form to use for a normal radio button."

	^ GLMUIThemeIcons radioButtonUnselectedForm! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 14:11'!
radioButtonSelectedForm
	"Answer the form to use for a selected radio button."

	^ GLMUIThemeIcons radioButtonSelectedForm ! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 1/14/2010 03:10'!
resizerGripNormalFillStyleFor: aResizer
	"Return the normal fillStyle for the given resizer.
	For the moment, answer a transparent colour for no drawing,
	non transparent to draw as normal."
	
	^Color transparent! !

!GLMUITheme methodsFor: 'scrollbars' stamp: 'TudorGirba 5/19/2013 14:46'!
scrollBarButtonArrowVertices: aRectangle 
	^ self verticesForSimpleArrow: aRectangle! !

!GLMUITheme methodsFor: 'fill-styles-scrollbars' stamp: 'tg 9/13/2010 10:52'!
scrollbarNormalButtonFillStyleFor: aScrollbar
	"Return the normal scrollbar button fillStyle for the given scrollbar."
	
	^ self scrollbarNormalThumbFillStyleFor: aScrollbar! !

!GLMUITheme methodsFor: 'fill-styles-scrollbars' stamp: 'tg 9/4/2010 21:03'!
scrollbarNormalFillStyleFor: aScrollbar
	"Return the normal scrollbar fillStyle for the given scrollbar."
	
	^ "(self glamorousBaseColorFor: aScrollbar) muchLighter"
	Color r: 245 g: 245 b: 245 range: 255! !

!GLMUITheme methodsFor: 'border-styles-scrollbars' stamp: 'TudorGirba 4/8/2011 00:01'!
scrollbarNormalThumbBorderStyleFor: aScrollbar
	"Return the normal thumb borderStyle for the given scrollbar."

	^ BorderStyle simple
		width: 0;
		baseColor: Color transparent! !

!GLMUITheme methodsFor: 'fill-styles-scrollbars' stamp: 'TudorGirba 4/11/2011 01:38'!
scrollbarNormalThumbFillStyleFor: aScrollbar
	"Return the normal scrollbar fillStyle for the given scrollbar."
	
	"^ (self glamorousNormalFillStyleWithBaseColor: aScrollbar paneColor for:  aScrollbar height: aScrollbar height)
		direction: (aScrollbar bounds isWide
			ifTrue: [0 @ aScrollbar height]
			ifFalse: [aScrollbar width @ 0])"
	^ self glamorousNormalFillStyleFor: aScrollbar height: aScrollbar height! !

!GLMUITheme methodsFor: 'border-styles-scrollbars' stamp: 'tg 8/31/2010 13:27'!
scrollbarPagingAreaCornerStyleIn: aThemedMorph	
	^#square! !

!GLMUITheme methodsFor: 'border-styles-scrollbars' stamp: 'tg 8/31/2010 13:27'!
scrollbarThumbCornerStyleIn: aThemedMorph	
	^#square! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/4/2010 23:14'!
separatorFillStyleFor: aSeparator
	"Return the separator fillStyle for the given separator."
	
	^ SolidFillStyle color: (self glamorousBaseColorFor: aSeparator) darker! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/5/2010 20:48'!
sliderDisabledFillStyleFor: aSlider
	"Return the disabled fillStyle for the given slider."
	
	^ self textEditorDisabledFillStyleFor: aSlider! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/5/2010 20:41'!
splitterNormalFillStyleFor: aSplitter
	"Return the normal splitter fillStyle for the given splitter."
	
	^ SolidFillStyle color: Color transparent! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 8/21/2011 16:46'!
splitterPressedFillStyleFor: aSplitter
	"Return the pressed splitter fillStyle for the given splitter."
	
	|aColor|
	aColor := self glamorousBaseColorFor: aSplitter.
	^ (GradientFillStyle ramp: {0.0->aColor lighter. 0.9-> aColor})
		origin: aSplitter topLeft;
		direction: (aSplitter splitsTopAndBottom
			ifTrue: [0 @ aSplitter height]
			ifFalse: [aSplitter width @ 0]);
		radial: false! !

!GLMUITheme methodsFor: 'basic-colors' stamp: 'tg 9/13/2010 10:36'!
subgroupColorFrom: paneColor
	"Answer the colour for a subgroup given the pane colour."

	^ self glamorousLightColorFor: paneColor" self class baseColor"! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 8/31/2010 15:28'!
tabLabelNormalBorderStyleFor: aTabLabel
"	^SimpleBorder new
		width: 0;
		baseColor: (self buttonBaseColorFor: aTabLabel) darker
"	^ self buttonNormalBorderStyleFor: aTabLabel! !

!GLMUITheme methodsFor: 'fill-styles-buttons' stamp: 'tg 8/31/2010 11:13'!
tabLabelNormalFillStyleFor: aTabLabel
	^ self buttonNormalFillStyleFor: aTabLabel ! !

!GLMUITheme methodsFor: 'fill-styles-buttons' stamp: 'tg 8/31/2010 11:13'!
tabLabelSelectedFillStyleFor: aTabLabel
	^ self buttonSelectedFillStyleFor: aTabLabel ! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/13/2010 10:38'!
tabPanelBorderStyleFor: aTabGroup
	^ GLMTabPanelBorder new 
		width: 1;
		baseColor: ((self glamorousDarkBaseColorFor: aTabGroup));
		tabSelector: aTabGroup tabSelectorMorph! !

!GLMUITheme methodsFor: 'basic-colors' stamp: 'tg 9/6/2010 15:03'!
taskbarButtonLabelColorFor: aButton
	"Answer the colour for the label of the given taskbar button."

	^aButton model
		ifNil: [super taskbarButtonLabelColorFor: aButton]
		ifNotNil: [:win |
			win isActive
				ifTrue: [Color black]
				ifFalse: [Color gray darker]]! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/23/2012 15:32'!
taskbarFillStyleFor: aTaskbar
	^ "self buttonNormalFillStyleFor: aTaskbar"
	SolidFillStyle color: Color transparent ! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/4/2010 20:23'!
taskbarThumbnailCornerStyleFor: aMorph
	"Answer the corner style for the taskbar thumbnail/tasklist."
	
	^#square! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/4/2010 20:56'!
taskbarThumbnailNormalBorderStyleFor: aWindow
	^ self buttonNormalBorderStyleFor: aWindow! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/5/2010 20:46'!
textEditorDisabledFillStyleFor: aTextEditor
	"Return the disabled fillStyle for the given text editor."
	
	^self glamorousBasePassiveBackgroundColorFor: aTextEditor! !

!GLMUITheme methodsFor: 'border-styles' stamp: 'tg 9/4/2010 23:09'!
textEditorNormalBorderStyleFor: aTextEditor
	"Return the normal text editor borderStyle for the given text editor."

	^self buttonNormalBorderStyleFor: aTextEditor! !

!GLMUITheme methodsFor: 'basic-colors' stamp: 'TudorGirba 4/8/2011 00:02'!
treeLineWidth
	"Answer the width of the tree lines."

	^0! !

!GLMUITheme methodsFor: 'scrollbars' stamp: 'tg 9/4/2010 20:16'!
verticesForSimpleArrow: aRectangle 
	"PRIVATE - answer a collection of vertices to draw a simple arrow"
	| vertices |
	vertices := OrderedCollection new.
	""
	vertices add: aRectangle bottomLeft.
	vertices add: aRectangle center x @ (aRectangle top + (aRectangle width / 8)).
	vertices add: aRectangle bottomRight.
	vertices add: aRectangle bottomRight + (0@0.01).
	""
	^ vertices
"	| vertices |
	vertices := OrderedCollection new.
	vertices add: (aRectangle center x - (aRectangle width / 4)) @ (aRectangle bottom - 8).
	vertices add: aRectangle center x @ (aRectangle top).
	vertices add: (aRectangle center x + (aRectangle width / 4)) @ (aRectangle bottom - 8).
	vertices add: (aRectangle center x + (aRectangle width / 4)) @ (aRectangle bottom - 8) + (0@0.01).
	^ vertices"
"	^ super verticesForSimpleArrow: aRectangle "! !

!GLMUITheme methodsFor: 'watcher window' stamp: 'TudorGirba 5/23/2012 14:09'!
watcherWindowActiveFillStyleFor: aWindow

	^ SolidFillStyle color: (Color veryVeryLightGray alpha: 0.6)! !

!GLMUITheme methodsFor: 'watcher window' stamp: 'TudorGirba 5/23/2012 14:10'!
watcherWindowInactiveFillStyleFor: aWindow

	^ SolidFillStyle color: (Color veryVeryLightGray alpha: 0.6)! !

!GLMUITheme methodsFor: 'accessing' stamp: 'TudorGirba 4/7/2011 23:46'!
windowActiveDropShadowStyle: anObject
	"Set the value of windowActiveDropShadowStyle"
	windowActiveDropShadowStyle := anObject! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/31/2012 22:28'!
windowActiveFillStyleFor: aWindow
	"We do not want the lighting effect when the window goes inactive"
	^SolidFillStyle color: self class baseColor! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/31/2012 22:51'!
windowActiveTitleFillStyleFor: aWindow
	^ "self glamorousNormalFillStyleFor: aWindow height: aWindow labelHeight"
	SolidFillStyle color: Color transparent! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'TudorGirba 4/8/2011 01:13'!
windowCloseOverForm
	"Answer the form to use for mouse over window close buttons"

	^self forms at: #windowCloseOver ifAbsent: [Form extent: 16@16 depth: Display depth]! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:17'!
windowClosePassiveForm
	"Answer the form to use for passive (background) window close buttons"

	^GLMUIThemeIcons windowCloseInactiveForm! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'tg 9/2/2010 13:52'!
windowInactiveFillStyleFor: aWindow
	"We do not want the lighting effect when the window goes inactive"
	^self windowActiveFillStyleFor: aWindow! !

!GLMUITheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/31/2012 22:51'!
windowInactiveTitleFillStyleFor: aWindow
	"We do not want the lighting effect when the window goes inactive"
	^ SolidFillStyle color: Color transparent! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'TudorGirba 4/8/2011 01:14'!
windowMaximizeOverForm
	"Answer the form to use for mouse over window maximize buttons"

	^self forms at: #windowMaximizeOver ifAbsent: [Form extent: 16@16 depth: Display depth]! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:18'!
windowMaximizePassiveForm
	"Answer the form to use for passive (background) window maximize/restore buttons"

	^GLMUIThemeIcons windowMaximizeInactiveForm! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'tg 9/3/2010 10:52'!
windowMenuPassiveForm
	"Answer the form to use for passive (background) window menu buttons"

	^self newWindowMenuPassiveForm! !

!GLMUITheme methodsFor: 'label-styles' stamp: 'TudorGirba 4/8/2011 01:14'!
windowMinimizeOverForm
	"Answer the form to use for mouse over window minimize buttons"

	^self forms at: #windowMinimizeOver ifAbsent: [Form extent: 16@16 depth: Display depth]! !

!GLMUITheme methodsFor: 'forms' stamp: 'FernandoOlivero 10/28/2010 13:18'!
windowMinimizePassiveForm
	"Answer the form to use for passive (background) window minimize buttons"

	^GLMUIThemeIcons windowMinimizeInactiveForm! !

!GLMUITheme methodsFor: 'defaults' stamp: 'TudorGirba 5/19/2013 21:26'!
windowShadowColor
	"Answer the window shadow color to use."

	^ Color gray! !

UIThemeWatery subclass: #GLMWhitespaceTheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Morphic-Theme'!

!GLMWhitespaceTheme commentStamp: '<historical>' prior: 0!
The theme is developed in the context of the Glamour project, and its goal is to create a look that:
- does not look like a specific operating system.
- maximizes whitespace.
- is fast.

PolymorphSystemSettings desktopColor: Color white.
self defaultSettings: nil.
self beCurrent.!

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/16/2013 22:10'!
baseColor
	^ Color white"Color r: 210 g: 210 b: 210 range: 255"! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/16/2013 22:10'!
basePassiveBackgroundColor
	^ Color r: 245 g: 245 b: 245 range: 255! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/16/2013 22:10'!
baseSelectionColor
	^ Color r: 97 g: 163 b: 225 range: 255! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/20/2013 06:30'!
darkBaseColor
	^ Color r: 210 g: 210 b: 210 range: 255! !

!GLMWhitespaceTheme class methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
importGlamorousIcons
	"utility method to import the icons necessary for the theme from the file system"
	"self importGlamorousIcons"
	| icons |
	icons := #(
		'glamorousMax'
		'glamorousMin'
		'glamorousClose'
		'glamorousMenu'
		'glamorousMaxInactive'
		'glamorousMinInactive'
		'glamorousCloseInactive'
		'glamorousMenuInactive'
		'glamorousMenuPin'
		'glamorousCheckboxSelected'
		'glamorousCheckboxUnselected'
		'glamorousRadioSelected'
		'glamorousRadioUnselected').
	self importIcons: icons fromFolder: 'icons' inClass: GLMUIThemeIcons category: '*glamour-morphic-theme'! !

!GLMWhitespaceTheme class methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
importIcons: icons fromFolder: aString inClass: aClass category: aCategory
	icons
		do: [:each |
			| method form |
			form := PNGReadWriter formFromFileNamed: aString, '/', each , '.png'.
			method := each , Character cr asString ,
				(aClass methodStart: each),		
				form storeString,
				aClass methodEnd.
			aClass class compile: method classified: aCategory ].
	aClass initialize! !

!GLMWhitespaceTheme class methodsFor: 'testing' stamp: 'TudorGirba 5/16/2013 22:10'!
isAbstract
	"Answer whether the receiver is considered to be abstract."

	^false! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 1/7/2014 15:54'!
lightBaseColor
	^ Color r: 220 g: 220 b: 220 range: 255! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/16/2013 22:10'!
lightSelectionColor
	^ Color r: 175 g: 213 b: 250 range: 255! !

!GLMWhitespaceTheme class methodsFor: 'settings' stamp: 'TudorGirba 5/20/2013 06:34'!
newDefaultSettings
	self setPreferredPreferences.
	
	BalloonMorph setBalloonColorTo: self veryLightSelectionColor.
	^super newDefaultSettings
		menuColor: self baseColor;
		menuTitleColor: self baseColor;
		windowColor: self baseColor;
		selectionColor: self lightSelectionColor;
		menuSelectionColor: self baseSelectionColor;
		progressBarColor: self baseColor;
		standardColorsOnly: true;
		autoSelectionColor: false;
		preferRoundCorner: false;
		fadedBackgroundWindows: false;
		secondarySelectionColor: self veryLightSelectionColor;
		flatMenu: true! !

!GLMWhitespaceTheme class methodsFor: 'settings' stamp: 'TudorGirba 5/16/2013 22:10'!
setPreferredPreferences
	NECPreferences 
		expandPrefixes: true;
		popupShowWithShortcut: Character tab asShortcut.! !

!GLMWhitespaceTheme class methodsFor: 'settings' stamp: 'TudorGirba 5/16/2013 22:10'!
setPreferredShoutColors
	"self setPreferredShoutColors"

	SHTextStylerST80 styleTable: 
		#(
			"(symbol color [emphasisSymbolOrArray [textStyleName [pixelHeight]]])" 
			(default 								black)
			(invalid 									red)
			(excessCode 							red)
			(comment 								(gray darker))
			(unfinishedComment 					(red muchDarker))
			(#'$' 									(red muchDarker))
			(character 								(red muchDarker))
			(integer 								(red muchDarker))
			(number 								(red muchDarker)) 
			(#- 										(red muchDarker))
			(symbol 								(magenta muchDarker)) 
			(stringSymbol 							(magenta muchDarker)) 
			(literalArray 							(magenta muchDarker))
			(string 									(magenta muchDarker) normal)
			(unfinishedString 						red normal)
			(assignment 							nil)
			(ansiAssignment 						nil)
			(literal 									nil italic)
			(keyword 								(black))
			(binary 									(black)) 
			(unary 									(black))
			(incompleteKeyword 					red)
			(incompleteBinary 						red) 
			(incompleteUnary 						red )
			(undefinedKeyword 					red)
			(undefinedBinary 						red) 
			(undefinedUnary 						red) 
			(patternKeyword 						nil bold)
			(patternBinary 							nil bold)
			(patternUnary 							nil bold) 
			(#self 									(cyan muchDarker ))
			(#super 								(cyan muchDarker ))
			(#true 									(red muchDarker))
			(#false 									(red muchDarker))
			(#nil 									(red muchDarker))
			(#thisContext 							(cyan muchDarker ))
			(#return 								(cyan muchDarker ) bold)
			(patternArg 							(blue muchDarker)) 
			(methodArg 							(blue muchDarker))
			(blockPatternArg 						(blue muchDarker))
			(blockArg 								(blue muchDarker))
			(argument 								(blue muchDarker))
			(blockArgColon 						black)
			(leftParenthesis 						black)
			(rightParenthesis 						black)
			(leftParenthesis1 						(green muchDarker))
			(rightParenthesis1 						(green muchDarker))
			(leftParenthesis2 						(magenta muchDarker))
			(rightParenthesis2 						(magenta muchDarker))
			(leftParenthesis3 						(red muchDarker))
			(rightParenthesis3 						(red muchDarker))
			(leftParenthesis4 						(green darker))
			(rightParenthesis4 						(green darker))
			(leftParenthesis5 						(orange darker))
			(rightParenthesis5 						(orange darker))
			(leftParenthesis6 						(magenta darker))
			(rightParenthesis6 						(magenta darker))
			(leftParenthesis7 						blue)
			(rightParenthesis7 						blue)
			(blockStart 								black)
			(blockEnd 								black)
			(blockStart1 							(green muchDarker))
			(blockEnd1 								(green muchDarker))
			(blockStart2 							(magenta muchDarker))
			(blockEnd2 								(magenta muchDarker))
			(blockStart3 							(red muchDarker))
			(blockEnd3 								(red muchDarker))
			(blockStart4 							(green darker))
			(blockEnd4 								(green darker))
			(blockStart5 							(orange darker))
			(blockEnd5 								(orange darker))
			(blockStart6 							(magenta darker))
			(blockEnd6 								(magenta darker))
			(blockStart7 							blue)
			(blockEnd7 								blue) 
			(arrayStart 								black)
			(arrayEnd 								black)
			(arrayStart1 							black)
			(arrayEnd1 								black)
			(leftBrace 								black)
			(rightBrace 								black)
			(cascadeSeparator 					black)
			(statementSeparator 					black)
			(externalCallType 						black)
			(externalCallTypePointerIndicator 		black)
			(primitiveOrExternalCallStart 			black bold)
			(primitiveOrExternalCallEnd 			black bold)
			(methodTempBar 						(black))
			(blockTempBar 						(black))
			(blockArgsBar 							(black))
			(primitive 								(green muchDarker))
			(pragmaKeyword 						(green muchDarker))
			(pragmaUnary 							(green muchDarker))
			(pragmaBinary 							(green muchDarker)) 
			(externalFunctionCallingConvention 	(green muchDarker) bold)
			(module 								(green muchDarker) bold)
			(blockTempVar 						(blue muchDarker))
			(blockPatternTempVar 					(blue muchDarker))
			(instVar 								(blue muchDarker))
			(workspaceVar 							(blue muchDarker))
			(undefinedIdentifier 					red)
			(incompleteIdentifier 					red)
			(tempVar 								(blue muchDarker))
			(patternTempVar 						(blue muchDarker))
			(poolConstant 							(blue muchDarker))
			(classVar 								(blue muchDarker))
			(globalVar 								(blue muchDarker)))
! !

!GLMWhitespaceTheme class methodsFor: 'settings' stamp: 'TudorGirba 5/16/2013 22:10'!
setPreferredWorldBackground
	"self setPreferredWorldBackground"
	World color: Color white! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/16/2013 22:10'!
themeName
	^ 'Glamorous'! !

!GLMWhitespaceTheme class methodsFor: 'accessing' stamp: 'TudorGirba 5/19/2013 21:49'!
veryLightSelectionColor
	^ Color white darker! !

!GLMWhitespaceTheme methodsFor: 'border-styles-buttons' stamp: 'TudorGirba 5/16/2013 22:10'!
buttonCornerStyleIn: aThemedMorph
	"If asked, we only allow square corners"
	
	^ #square! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
buttonLabelForText: aTextOrString
	"Answer the label to use for the given text."
	^aTextOrString isString
		ifTrue: [(LabelMorph contents: aTextOrString) color: Color black]
		ifFalse: [super buttonLabelForText: aTextOrString]! !

!GLMWhitespaceTheme methodsFor: 'defaults' stamp: 'TudorGirba 5/16/2013 22:10'!
buttonMinHeight
	"Answer the minumum height of a button for this theme."
	
	^24! !

!GLMWhitespaceTheme methodsFor: 'defaults' stamp: 'TudorGirba 5/16/2013 22:10'!
buttonMinWidth
	"Answer the minumum width of a button for this theme."
	
	^24! !

!GLMWhitespaceTheme methodsFor: 'border-styles-buttons' stamp: 'TudorGirba 5/19/2013 22:44'!
buttonNormalBorderStyleFor: aButton
	"Return the normal button borderStyle for the given button."

	(aButton valueOfProperty: #noBorder ifAbsent: [false]) ifTrue: [
		^ SimpleBorder new width: 0; baseColor: Color transparent ].
	^ self glamorousLightBorderFor: aButton! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-buttons' stamp: 'TudorGirba 5/16/2013 22:10'!
buttonNormalFillStyleFor: aButton
	"Return the normal button fillStyle for the given button."
	
	(aButton valueOfProperty: #noFill ifAbsent: [false]) ifTrue: [^ SolidFillStyle color: Color transparent ].
	^ self glamorousNormalFillStyleFor: aButton height: aButton height! !

!GLMWhitespaceTheme methodsFor: 'border-styles-buttons' stamp: 'TudorGirba 5/16/2013 22:10'!
buttonSelectedBorderStyleFor: aButton
	^ self buttonNormalBorderStyleFor: aButton! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-buttons' stamp: 'TudorGirba 5/19/2013 14:06'!
buttonSelectedFillStyleFor: aButton
	"Return the normal button fillStyle for the given button."
	
	| top bottom |
	top := self glamorousLightSelectionColorFor: aButton.
	bottom := self glamorousBaseColorFor: aButton.

	^(GradientFillStyle ramp: {
			0.0->top.
			0.7->bottom.})
		origin: aButton bounds origin;
		direction: 0 @ aButton height;
		radial: false! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
checkboxForm
	"Answer the form to use for a normal checkbox."

	^self  checkboxUnselectedForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
checkboxSelectedForm
	"Answer the form to use for a selected checkbox."

	^GLMUIThemeIcons checkboxSelectedForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
checkboxUnselectedForm
	"Answer the form to use for a selected checkbox."

	^ GLMUIThemeIcons checkboxUnselectedForm! !

!GLMWhitespaceTheme methodsFor: 'watcher window' stamp: 'TudorGirba 5/19/2013 21:18'!
configureWatcherWindowLabelAreaFor: aWindow
	"Configure the label area for the given Watcher window."

	|padding|
	padding := 0.
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0).
	aWindow hasCloseBox ifTrue: [aWindow addCloseBox. padding := padding + 1].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	aWindow basicLabel ifNotNil: [:label | aWindow labelArea addMorphBack: label; hResizing: #shrinkWrap].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	padding > 0 ifTrue: [
		aWindow labelArea
			addMorphBack: (Morph new extent: (aWindow boxExtent x * padding) @ 0)].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0)! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/21/2013 20:57'!
configureWindowBorderFor: aWindow
	^ self glamorousThickBorderFor: aWindow! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/19/2013 14:14'!
configureWindowDropShadowFor: aWindow
	aWindow hasDropShadow: false! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
configureWindowLabelAreaFor: aWindow
	"Configure the label area for the given window."

	|padding|
	padding := 0.
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0).
	aWindow hasCloseBox ifTrue: [aWindow addCloseBox. padding := padding + 1].
	aWindow hasCollapseBox ifTrue: [aWindow addCollapseBox. padding := padding + 1].
	aWindow hasExpandBox ifTrue: [aWindow addExpandBox. padding := padding + 1].
	aWindow hasMenuBox ifTrue: [padding := padding - 1].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	aWindow basicLabel ifNotNil: [:label | aWindow labelArea addMorphBack: label; hResizing: #shrinkWrap].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	padding > 0 ifTrue: [
		aWindow labelArea
			addMorphBack: (Morph new extent: (aWindow boxExtent x * padding) @ 0)].
	aWindow hasMenuBox ifTrue: [aWindow addMenuControl].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0)! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
createCollapseBoxFor: aSystemWindow
	"Answer a button for minimising the window."
	
	|form msb|
	form := self windowMinimizeForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizePassiveForm.
	msb extent: form extent.
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizeOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow collapseBoxHit];
		setBalloonText: 'Collapse this window' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
createExpandBoxFor: aSystemWindow
	"Answer a button for maximising/restoring the window."
	
	|form msb|
	form := self windowMaximizeForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizePassiveForm.
	msb extent: form extent.
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizeOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow expandBoxHit];
		setBalloonText: 'Expand to full screen' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
createMenuBoxFor: aSystemWindow
	"Answer a button for the window menu."
	
"	^aSystemWindow createBox
		labelGraphic: (self windowMenuIconFor: aSystemWindow);
		extent: aSystemWindow boxExtent;
		actWhen: #buttonDown;
		actionSelector: #offerWindowMenu;
		setBalloonText: 'window menu' translated"
	
	|form msb|
	form := self windowMenuForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuPassiveForm.
	msb extent: form extent.
	msb activeDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuPassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow offerWindowMenu];
		setBalloonText: 'window menu' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!GLMWhitespaceTheme methodsFor: 'defaults' stamp: 'TudorGirba 5/16/2013 22:10'!
dialogWindowPreferredCornerStyleFor: aDialogWindow
	"Answer the preferred corner style for the given dialog."

	^#square! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
dockingBarNormalFillStyleFor: aToolDockingBar
	^ SolidFillStyle color: Color transparent! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
dropListDisabledFillStyleFor: aDropList
	"Return the disabled fillStyle for the given drop list."
	
	^ self textEditorDisabledFillStyleFor: aDropList! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
dropListNormalBorderStyleFor: aDropList
	"Return the normal borderStyle for the given drop list"

	^ self buttonNormalBorderStyleFor: aDropList! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
dropListNormalFillStyleFor: aDropList
	"Return the normal fillStyle for the given drop list."
	
	^ SolidFillStyle color: Color white! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
expanderTitleNormalFillStyleFor: anExpanderTitle
	"Return the normal expander title fillStyle for the given expander title."
	
	^ self buttonNormalFillStyleFor: anExpanderTitle! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
glamorousBaseColorFor: aButton
	^ self class baseColor
	"unfortunately, it looks like paneColor does not always return the wanted color"
	"aButton paneColorOrNil ifNil: [Color r: 200 g: 200 b: 200 range: 255]"! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
glamorousBasePassiveBackgroundColorFor: aButton
	^ self class basePassiveBackgroundColor! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
glamorousBaseSelectionColorFor: aButton
	^ self class baseSelectionColor! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
glamorousDarkBaseColorFor: aButton
	^ self class darkBaseColor! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/23/2013 06:24'!
glamorousLightBorderFor: aMorph
	| aStyle |
"	aMorph roundedCorners: #(1 2 3 4).	
"	aStyle := SimpleBorder new 
			baseColor: (self glamorousLightColorFor: aMorph);
			width: 0.
	^ aStyle! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
glamorousLightColorFor: aButton
	^ self class lightBaseColor! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/16/2013 22:10'!
glamorousLightSelectionColorFor: aMorph
	^ self class lightSelectionColor! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/20/2013 22:36'!
glamorousNormalFillStyleFor: aMorph height: anInteger
	"Return the normal button fillStyle for the given morph."

	^ SolidFillStyle color: (self glamorousLightColorFor: aMorph)! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/10/2013 21:28'!
glamorousNormalFillStyleWithBaseColor: aColor for: aMorph height: anInteger	
	| top bottom |
	top := aColor "darker".
	bottom := aColor.
	^(GradientFillStyle ramp: {
			0.0->top.
			0.7->bottom.})
		origin: aMorph bounds origin;
		direction: 0 @ anInteger;
		radial: false! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 2/11/2014 17:23'!
glamorousThickBorderFor: aWindow
	| aStyle desiredColor |
	"Color lightGray is the color with which SystemWindow initializes the border color.
	If it is the default, we override it with the theme specific color.
	Otherwise, we choose the desired color"
	desiredColor := 
		(aWindow borderColor isNil or: [
			aWindow borderColor = Color lightGray])
							ifTrue: [ self glamorousDarkBaseColorFor: aWindow ]
							ifFalse: [ aWindow borderColor ].
	aStyle := SimpleBorder new
					baseColor: desiredColor;
					width: 2.
	aWindow borderStyle: aStyle.
	^ aStyle! !

!GLMWhitespaceTheme methodsFor: 'private' stamp: 'TudorGirba 5/19/2013 14:39'!
glamorousVisibleFillStyleFor: aMorph height: anInteger
	"Return the normal button fillStyle for the given morph."

	^ SolidFillStyle color: (self glamorousLightColorFor: aMorph)! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/19/2013 22:49'!
groupPanelBorderStyleFor: aGroupPanel
	"Answer the normal border style for a group panel."

	^ self glamorousLightBorderFor: aGroupPanel! !

!GLMWhitespaceTheme methodsFor: 'growl - specific' stamp: 'TudorGirba 5/19/2013 14:15'!
growlBorderColorFor: aGrowlMorph
	^ self glamorousThickBorderFor: aGrowlMorph ! !

!GLMWhitespaceTheme methodsFor: 'growl - specific' stamp: 'TudorGirba 5/19/2013 14:09'!
growlContentsColorFor: aGrowlMorph
	^ Color black! !

!GLMWhitespaceTheme methodsFor: 'growl - specific' stamp: 'TudorGirba 5/16/2013 22:10'!
growlDismissHandleFor: aGrowlMorph
	| form image |
	form := self windowCloseForm.
	image := ImageMorph new.
	image image: form.
	image color: Color yellow.
	^ image! !

!GLMWhitespaceTheme methodsFor: 'growl - specific' stamp: 'TudorGirba 5/16/2013 22:10'!
growlFillColorFor: aGrowlMorph
	^ Color darkGray alpha: 0.5! !

!GLMWhitespaceTheme methodsFor: 'growl - specific' stamp: 'TudorGirba 5/19/2013 14:09'!
growlLabelColorFor: aGrowlMorph
	^ Color black! !

!GLMWhitespaceTheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/16/2013 22:10'!
initialize
	"self beCurrent"

	super initialize.
	self windowActiveDropShadowStyle: #diffuse! !

!GLMWhitespaceTheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/16/2013 22:10'!
initializeForms
	"Initialize the receiver's image forms."

	|inactiveForm|
	super initializeForms.
	inactiveForm := self newWindowInactiveControlForm.
	self forms
		at: #windowCloseOver put: self newWindowCloseOverForm;
		at: #windowMinimizeOver put: self newWindowMinimizeOverForm;
		at: #windowMaximizeOver put: self newWindowMaximizeOverForm;
		at: #windowClosePassive put: inactiveForm;
		at: #windowMinimizePassive put: inactiveForm;
		at: #windowMaximizePassive put: inactiveForm! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
listDisabledFillStyleFor: aList
	"Return the disabled fillStyle for the given list."
	
	^ self textEditorDisabledFillStyleFor: aList! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/19/2013 22:49'!
listNormalBorderStyleFor: aList
	"Return the normal borderStyle for the given list"
		
	^ self glamorousLightBorderFor: aList! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-buttons' stamp: 'TudorGirba 5/16/2013 22:10'!
menuItemInDockingBarSelectedFillStyleFor: aMenuItem
	"Answer the selected fill style to use for the given menu item that is in a docking bar."
	^ self buttonSelectedFillStyleFor: aMenuItem! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
menuPinForm
	"Answer the form to use for the pin button of a menu."

	^ GLMUIThemeIcons menuPinForm! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 10/19/2013 03:21'!
morphTreeSplitterNormalFillStyleFor: aSplitter	
	^ SolidFillStyle color: Color transparent! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
morphTreeSplitterPressedFillStyleFor: aSplitter	
	^ self splitterPressedFillStyleFor: aSplitter! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newCheckboxMarkerForm
	"Answer a new checkbox marker form."

	^GLMUIThemeIcons checkboxMarkerForm! !

!GLMWhitespaceTheme methodsFor: 'morph creation' stamp: 'TudorGirba 5/16/2013 22:10'!
newCloseControlIn: aThemedMorph for: aModel action: aValuable help: helpText
	"Answer a button for closing things."
	
	|form msb|
	form := self windowCloseForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowClosePassiveForm.
	msb extent: form extent.
	msb activeDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowCloseOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowClosePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: aValuable;
		setBalloonText: helpText.
	^msb! !

!GLMWhitespaceTheme methodsFor: 'morph creation' stamp: 'TudorGirba 5/16/2013 22:10'!
newFocusIndicatorMorphFor: aMorph
	"Answer a new focus indicator for the given morph."

	|radius|
	radius := aMorph focusIndicatorCornerRadius.
	^ BorderedMorph new
		fillStyle: Color transparent;
		borderStyle: (SimpleBorder new
			 width: 1;
			baseColor: (self glamorousBaseSelectionColorFor: aMorph));
		bounds: aMorph focusBounds! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newRadioButtonMarkerForm
	"Answer a new radio button marker form. We make it empty because we already have the selected radio button take care of the state."

	^GLMUIThemeIcons radioButtonMarkerForm  ! !

!GLMWhitespaceTheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/16/2013 22:10'!
newRadioMarkerForm
	"Answer a new checkbox marker form."

	^Form extent: 12@12 depth: 32! !

!GLMWhitespaceTheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/16/2013 22:10'!
newTreeExpandedForm
	"Answer a new form for an expanded tree item."

	^(Form
	extent: 9@9
	depth: 32
	fromArray: #( 1049135240 2290649224 2290649224 2290649224 2290649224 2290649224 2290649224 2290649224 1200130184 478709896 4169697416 4287137928 4287137928 4287137928 4287137928 4287137928 4236806280 646482056 16777215 2508753032 4287137928 4287137928 4287137928 4287137928 4287137928 2726856840 16777215 16777215 495487112 4186474632 4287137928 4287137928 4287137928 4236806280 612927624 16777215 16777215 16777215 2542307464 4287137928 4287137928 4287137928 2676525192 16777215 16777215 16777215 16777215 478709896 4169697416 4287137928 4220029064 579373192 16777215 16777215 16777215 16777215 16777215 2424866952 4287137928 2626193544 16777215 16777215 16777215 16777215 16777215 16777215 394823816 4018702472 529041544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 864585864 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!GLMWhitespaceTheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/16/2013 22:10'!
newTreeUnexpandedForm
	"Answer a new form for an unexpanded tree item."

	^(Form
	extent: 9@9
	depth: 32
	fromArray: #( 1049135240 461932680 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2324203656 4152920200 2458421384 428378248 16777215 16777215 16777215 16777215 16777215 2357758088 4287137928 4287137928 4152920200 2408089736 394823816 16777215 16777215 16777215 2391312520 4287137928 4287137928 4287137928 4287137928 4119365768 2324203656 344492168 16777215 2408089736 4287137928 4287137928 4287137928 4287137928 4287137928 4287137928 3968370824 780699784 2391312520 4287137928 4287137928 4287137928 4287137928 4236806280 2659747976 529041544 16777215 2357758088 4287137928 4287137928 4253583496 2810742920 646482056 16777215 16777215 16777215 2324203656 4253583496 2777188488 696813704 16777215 16777215 16777215 16777215 16777215 1200130184 663259272 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowCloseForm
	"Answer a new form for a window close box."

	^ GLMUIThemeIcons windowCloseForm ! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowCloseOverForm
	"Answer a new form for a window menu box."

	^ self newWindowCloseForm! !

!GLMWhitespaceTheme methodsFor: 'initialize-release' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowInactiveControlForm
	"Answer a new form for an inactive window control box."

	^(Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4291677645 4288585374 4286085240 4284243036 4284243036 4286085240 4288585374 4291677645 0 0 0 0 0 0 0 4289572269 4285756275 4286479998 4288716960 4289835441 4289835441 4288716960 4286479998 4285756275 4289572269 0 0 0 0 0 4289506476 4284835173 4287335307 4290559164 4292598747 4293322470 4293322470 4292598747 4290559164 4287335307 4284703587 4289506476 0 0 0 4291546059 4285493103 4286414205 4288980132 4291217094 4292335575 4292598747 4292598747 4292335575 4291282887 4288980132 4286282619 4285493103 4291546059 0 0 4288980132 4285361517 4287466893 4288782753 4289835441 4290295992 4290295992 4290427578 4290164406 4289835441 4288782753 4287466893 4285361517 4288980132 0 0 4286282619 4286611584 4288059030 4288716960 4289177511 4289572269 4289835441 4289835441 4289703855 4289374890 4288782753 4288059030 4286611584 4286282619 0 0 4285164138 4287664272 4288782753 4289374890 4289835441 4290427578 4290624957 4290624957 4290559164 4290032820 4289374890 4288914339 4287664272 4285164138 0 0 4285361517 4288322202 4289703855 4290295992 4290822336 4291414473 4291677645 4291677645 4291414473 4291085508 4290427578 4289703855 4288453788 4285624689 0 0 4287072135 4288716960 4290427578 4291217094 4291677645 4292203989 4292598747 4292598747 4292335575 4291809231 4291217094 4290427578 4288716960 4287203721 0 0 4288980132 4288256409 4290624957 4291677645 4292335575 4292927712 4293256677 4293256677 4293059298 4292598747 4291809231 4290822336 4288256409 4289177511 0 0 4291677645 4287664272 4290295992 4292006610 4293059298 4293454056 4293585642 4293585642 4293454056 4293125091 4292203989 4290427578 4287730065 4291677645 0 0 4293256677 4290032820 4288124823 4291217094 4292796126 4293322470 4293717228 4293717228 4293454056 4292927712 4291677645 4288256409 4290032820 4293256677 0 0 0 4293454056 4290032820 4288322202 4289967027 4291546059 4292598747 4292664540 4291677645 4290295992 4288716960 4290032820 4293454056 0 0 0 0 0 4293322470 4292203989 4289835441 4288782753 4288322202 4288453788 4288980132 4289835441 4292335575 4293322470 0 0 0 0 0 0 0 4293059298 4293585642 4293717228 4293585642 4293585642 4293585642 4293585642 4293059298 0 0 0 0)
	offset: 0@0)! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowMaximizeForm
	"Answer a new form for a window maximize box."

	^ GLMUIThemeIcons windowMaximizeForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowMaximizeOverForm
	"Answer a new form for a window menu box."

	^ self newWindowMaximizeForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowMenuForm
	"Answer a new form for a window menu box."

	^ GLMUIThemeIcons windowMenuForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowMenuPassiveForm
	"Answer a new form for a window menu box."

	^ GLMUIThemeIcons windowMenuInactiveForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowMinimizeForm
	"Answer a new form for a window minimize box."

	^ GLMUIThemeIcons windowMinimizeForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
newWindowMinimizeOverForm
	"Answer a new form for a window menu box."

	^ self newWindowMinimizeForm! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/19/2013 16:32'!
plainGroupPanelBorderStyleFor: aGroupPanel
	"Answer the normal border style for a plain group panel."

	^SimpleBorder new
		width: 1;
		baseColor: Color transparent! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
progressBarFillStyleFor: aProgressBar
	^ self glamorousBasePassiveBackgroundColorFor: aProgressBar! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
progressBarProgressFillStyleFor: aProgressBar
	^ (self glamorousLightSelectionColorFor: aProgressBar)! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
progressFillStyleFor: aProgress
	"Return the progress fillStyle for the given progress morph."
	^ self windowActiveFillStyleFor: aProgress  ! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
radioButtonForm
	"Answer the form to use for a normal radio button."

	^ GLMUIThemeIcons radioButtonUnselectedForm! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
radioButtonSelectedForm
	"Answer the form to use for a selected radio button."

	^ GLMUIThemeIcons radioButtonSelectedForm ! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/21/2013 21:19'!
resizerGripNormalFillStyleFor: aResizer
	"Return the normal fillStyle for the given resizer.
	For the moment, answer a transparent colour for no drawing,
	non transparent to draw as normal."
	self flag: 'this is used for the edge grip'.
	^ super resizerGripNormalFillStyleFor: aResizer
	
"	aResizer 
		instVarNamed: #handleColor put: (self glamorousDarkBaseColorFor:  aResizer);
		instVarNamed: #dotColor put: Color transparent.
	
	^SolidFillStyle color: Color red"! !

!GLMWhitespaceTheme methodsFor: 'scrollbars' stamp: 'TudorGirba 5/19/2013 14:46'!
scrollbarArrowOfDirection: aSymbol size: finalSizeInteger color: aColor
	^ Form extent: 1@1! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-scrollbars' stamp: 'TudorGirba 5/19/2013 14:41'!
scrollbarNormalButtonFillStyleFor: aScrollbar
	"Return the normal scrollbar button fillStyle for the given scrollbar."
	
	^ self 
		glamorousNormalFillStyleFor: aScrollbar 
		height: aScrollbar height! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-scrollbars' stamp: 'TudorGirba 5/16/2013 22:10'!
scrollbarNormalFillStyleFor: aScrollbar
	"Return the normal scrollbar fillStyle for the given scrollbar."
	
	^ Color transparent! !

!GLMWhitespaceTheme methodsFor: 'border-styles-scrollbars' stamp: 'TudorGirba 5/16/2013 22:10'!
scrollbarNormalThumbBorderStyleFor: aScrollbar
	"Return the normal thumb borderStyle for the given scrollbar."

	^ BorderStyle simple
		width: 0;
		baseColor: Color transparent! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-scrollbars' stamp: 'TudorGirba 5/19/2013 14:41'!
scrollbarNormalThumbFillStyleFor: aScrollbar
	"Return the normal scrollbar fillStyle for the given scrollbar."
	^ self 
		glamorousVisibleFillStyleFor: aScrollbar 
		height: aScrollbar height! !

!GLMWhitespaceTheme methodsFor: 'border-styles-scrollbars' stamp: 'TudorGirba 5/16/2013 22:10'!
scrollbarPagingAreaCornerStyleIn: aThemedMorph	
	^#square! !

!GLMWhitespaceTheme methodsFor: 'border-styles-scrollbars' stamp: 'TudorGirba 5/16/2013 22:10'!
scrollbarThumbCornerStyleIn: aThemedMorph	
	^#square! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
separatorFillStyleFor: aSeparator
	"Return the separator fillStyle for the given separator."
	
	^ SolidFillStyle color: (self glamorousBaseColorFor: aSeparator) darker! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
sliderDisabledFillStyleFor: aSlider
	"Return the disabled fillStyle for the given slider."
	
	^ self textEditorDisabledFillStyleFor: aSlider! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 9/6/2013 07:39'!
splitterNormalFillStyleFor: aSplitter
	"Return the normal splitter fillStyle for the given splitter."
	
	^ self 
		glamorousNormalFillStyleFor: aSplitter 
		height: 1! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 9/6/2013 07:41'!
splitterPressedFillStyleFor: aSplitter
	"Return the pressed splitter fillStyle for the given splitter."
	
	^ self splitterNormalFillStyleFor: aSplitter! !

!GLMWhitespaceTheme methodsFor: 'basic-colors' stamp: 'TudorGirba 5/19/2013 14:31'!
subgroupColorFrom: paneColor
	"Answer the colour for a subgroup given the pane colour."

	^ self glamorousBaseColorFor: paneColor! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
tabLabelNormalBorderStyleFor: aTabLabel
"	^SimpleBorder new
		width: 0;
		baseColor: (self buttonBaseColorFor: aTabLabel) darker
"	^ self buttonNormalBorderStyleFor: aTabLabel! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-buttons' stamp: 'TudorGirba 5/16/2013 22:10'!
tabLabelNormalFillStyleFor: aTabLabel
	^ self buttonNormalFillStyleFor: aTabLabel ! !

!GLMWhitespaceTheme methodsFor: 'fill-styles-buttons' stamp: 'TudorGirba 5/16/2013 22:10'!
tabLabelSelectedFillStyleFor: aTabLabel
	^ self buttonSelectedFillStyleFor: aTabLabel ! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/19/2013 22:07'!
tabPanelBorderStyleFor: aTabGroup
	^ GLMTabPanelBorder new 
		width: 1;
		baseColor: ((self glamorousLightColorFor: aTabGroup));
		tabSelector: aTabGroup tabSelectorMorph! !

!GLMWhitespaceTheme methodsFor: 'basic-colors' stamp: 'TudorGirba 5/16/2013 22:10'!
taskbarButtonLabelColorFor: aButton
	"Answer the colour for the label of the given taskbar button."

	^aButton model
		ifNil: [super taskbarButtonLabelColorFor: aButton]
		ifNotNil: [:win |
			win isActive
				ifTrue: [Color black]
				ifFalse: [Color gray darker]]! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
taskbarFillStyleFor: aTaskbar
	^ "self buttonNormalFillStyleFor: aTaskbar"
	SolidFillStyle color: Color transparent ! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
taskbarThumbnailCornerStyleFor: aMorph
	"Answer the corner style for the taskbar thumbnail/tasklist."
	
	^#square! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
taskbarThumbnailNormalBorderStyleFor: aWindow
	^ self buttonNormalBorderStyleFor: aWindow! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
textEditorDisabledFillStyleFor: aTextEditor
	"Return the disabled fillStyle for the given text editor."
	
	^self glamorousBasePassiveBackgroundColorFor: aTextEditor! !

!GLMWhitespaceTheme methodsFor: 'border-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
textEditorNormalBorderStyleFor: aTextEditor
	"Return the normal text editor borderStyle for the given text editor."

	^self buttonNormalBorderStyleFor: aTextEditor! !

!GLMWhitespaceTheme methodsFor: 'basic-colors' stamp: 'TudorGirba 5/16/2013 22:10'!
treeLineWidth
	"Answer the width of the tree lines."

	^0! !

!GLMWhitespaceTheme methodsFor: 'watcher window' stamp: 'TudorGirba 5/16/2013 22:10'!
watcherWindowActiveFillStyleFor: aWindow

	^ SolidFillStyle color: (Color veryVeryLightGray alpha: 0.6)! !

!GLMWhitespaceTheme methodsFor: 'watcher window' stamp: 'TudorGirba 5/16/2013 22:10'!
watcherWindowInactiveFillStyleFor: aWindow

	^ SolidFillStyle color: (Color veryVeryLightGray alpha: 0.6)! !

!GLMWhitespaceTheme methodsFor: 'accessing' stamp: 'TudorGirba 5/16/2013 22:10'!
windowActiveDropShadowStyle: anObject
	"Set the value of windowActiveDropShadowStyle"
	windowActiveDropShadowStyle := anObject! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/19/2013 21:42'!
windowActiveFillStyleFor: aWindow
	"We do not want the lighting effect when the window goes inactive"
	^ SolidFillStyle color: (self glamorousBaseColorFor: aWindow)! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/19/2013 21:45'!
windowActiveTitleFillStyleFor: aWindow
	^ SolidFillStyle color: (self glamorousDarkBaseColorFor: aWindow)! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
windowCloseOverForm
	"Answer the form to use for mouse over window close buttons"

	^self forms at: #windowCloseOver ifAbsent: [Form extent: 16@16 depth: Display depth]! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
windowClosePassiveForm
	"Answer the form to use for passive (background) window close buttons"

	^GLMUIThemeIcons windowCloseInactiveForm! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/21/2013 21:20'!
windowEdgeNormalFillStyleFor: anEdgeGrip
	"Return the normal window edge fillStyle for the given edge grip."
	self flag: 'this is used for the long edges'.
	^ super windowEdgeNormalFillStyleFor: anEdgeGrip
	"self glamorousDarkBaseColorFor: anEdgeGrip"! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
windowInactiveFillStyleFor: aWindow
	"We do not want the lighting effect when the window goes inactive"
	^self windowActiveFillStyleFor: aWindow! !

!GLMWhitespaceTheme methodsFor: 'fill-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
windowInactiveTitleFillStyleFor: aWindow
	"We do not want the lighting effect when the window goes inactive"
	^ SolidFillStyle color: Color transparent! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
windowMaximizeOverForm
	"Answer the form to use for mouse over window maximize buttons"

	^self forms at: #windowMaximizeOver ifAbsent: [Form extent: 16@16 depth: Display depth]! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
windowMaximizePassiveForm
	"Answer the form to use for passive (background) window maximize/restore buttons"

	^GLMUIThemeIcons windowMaximizeInactiveForm! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
windowMenuPassiveForm
	"Answer the form to use for passive (background) window menu buttons"

	^self newWindowMenuPassiveForm! !

!GLMWhitespaceTheme methodsFor: 'label-styles' stamp: 'TudorGirba 5/16/2013 22:10'!
windowMinimizeOverForm
	"Answer the form to use for mouse over window minimize buttons"

	^self forms at: #windowMinimizeOver ifAbsent: [Form extent: 16@16 depth: Display depth]! !

!GLMWhitespaceTheme methodsFor: 'forms' stamp: 'TudorGirba 5/16/2013 22:10'!
windowMinimizePassiveForm
	"Answer the form to use for passive (background) window minimize buttons"

	^GLMUIThemeIcons windowMinimizeInactiveForm! !

!GLMWhitespaceTheme methodsFor: 'defaults' stamp: 'TudorGirba 5/19/2013 21:33'!
windowShadowColor
	"Answer the window shadow color to use."

	^ Color transparent! !

ThemeIcons subclass: #GLMUIThemeIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Morphic-Theme'!

!GLMUIThemeIcons commentStamp: 'TudorGirba 1/30/2011 22:49' prior: 0!
This class holds a set of icons to be used in the Glamorous UI Theme.!

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:22'!
checkboxMarkerForm
	"Answer a new radio button marker form. We make it empty because we already have the selected radio button take care of the state."

	^Form extent: 12@12 depth: 32! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 14:10'!
checkboxSelectedForm
	^ self form16x16FromContents: self checkboxSelectedFormContents 
! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 14:10'!
checkboxSelectedFormContents
	^#( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4278190080 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4278190080 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:40'!
checkboxUnselectedForm
	^ self form16x16FromContents: self checkboxUnselectedFormContents 
! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:26'!
checkboxUnselectedFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:39'!
form16x16FromContents: aByteArray 
	^ Form
	extent: 16@16
	depth: 32
	fromArray: aByteArray 
	offset: 0@0! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:40'!
menuPinForm
	^self form16x16FromContents: self menuPinFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:26'!
menuPinFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 83886080 100663296 83886080 0 0 0 0 0 0 0 0 0 0 0 0 1291845632 3774873600 4194304000 3774873600 788529152 0 0 0 0 0 0 0 0 0 0 1107296256 4278190080 4278190080 4278190080 4278190080 4278190080 788529152 0 0 0 0 0 0 0 0 83886080 3992977408 4278190080 4278190080 4278190080 4278190080 4278190080 3774873600 83886080 0 0 0 0 0 0 0 100663296 4194304000 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 100663296 0 0 0 0 0 0 0 83886080 3774873600 4278190080 4278190080 4278190080 4278190080 4278190080 3992977408 83886080 0 0 0 0 0 0 0 0 1291845632 4261412864 4278190080 4278190080 4278190080 4261412864 1107296256 0 0 0 0 0 0 0 0 0 0 1107296256 3992977408 4194304000 3774873600 1291845632 0 0 0 0 0 0 0 0 0 0 0 0 83886080 100663296 83886080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 09:11'!
radioButtonMarkerForm
	"Answer a new radio button marker form. We make it empty because we already have the selected radio button take care of the state."

	^Form extent: 12@12 depth: 32! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:40'!
radioButtonSelectedForm
	^ self form16x16FromContents: self radioButtonSelectedFormContents! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:27'!
radioButtonSelectedFormContents
	^#( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 1023410176 3422946822 4043572228 4043572228 3422946822 1023410176 0 0 0 0 0 0 0 0 0 2214987270 4161078533 4284045657 4285690482 4285690482 4284045657 4161078533 1058280468 0 0 0 0 0 0 0 1023410176 4278190080 4285887861 4286611584 4286611584 4286611584 4286611584 4285887861 4278190080 1023410176 0 0 0 0 0 50331648 3422946822 4284045657 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4284045657 3422946822 50331648 0 0 0 0 0 4043572228 4285690482 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4285690482 4043572228 0 0 0 0 0 0 4043572228 4285690482 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4285690482 4043572228 0 0 0 0 0 33554432 3422946822 4284045657 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4284045657 3422946822 50331648 0 0 0 0 0 1006632960 4161078533 4285887861 4286611584 4286611584 4286611584 4286611584 4285887861 4278190080 1023410176 0 0 0 0 0 0 0 2214987270 4278190080 4284045657 4285690482 4285690482 4284045657 4161078533 2214987270 0 0 0 0 0 0 0 0 0 1006632960 3422946822 4043572228 4043572228 3422946822 1023410176 0 0 0 0 0 0 0 0 0 0 0 33554432 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:40'!
radioButtonUnselectedForm
	^ self form16x16FromContents: self radioButtonUnselectedFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:27'!
radioButtonUnselectedFormContents
	^#( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 1023410176 3238002688 3909091328 3909091328 3238002688 1023410176 0 0 0 0 0 0 0 0 0 2097152000 3976200192 1275068416 452984832 452984832 1275068416 3976200192 872415232 0 0 0 0 0 0 0 1023410176 4278190080 335544320 0 0 0 0 335544320 4278190080 1023410176 0 0 0 0 0 50331648 3238002688 1275068416 0 0 0 0 0 0 1275068416 3238002688 50331648 0 0 0 0 0 3909091328 452984832 0 0 0 0 0 0 452984832 3909091328 0 0 0 0 0 0 3909091328 452984832 0 0 0 0 0 0 452984832 3909091328 0 0 0 0 0 33554432 3238002688 1275068416 0 0 0 0 0 0 1275068416 3238002688 50331648 0 0 0 0 0 1006632960 3992977408 335544320 0 0 0 0 335544320 4278190080 1023410176 0 0 0 0 0 0 0 2097152000 4278190080 1275068416 452984832 452984832 1275068416 3976200192 2097152000 0 0 0 0 0 0 0 0 0 1006632960 3238002688 3909091328 3909091328 3238002688 1023410176 0 0 0 0 0 0 0 0 0 0 0 33554432 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:14'!
radioSelectedForm
	^ Form fromBinaryStream: ( Base64MimeConverter mimeDecodeToBytes: self radioSelectedFormContents readStream)
 ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:13'!
radioSelectedFormContents
	^#( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 1023410176 3422946822 4043572228 4043572228 3422946822 1023410176 0 0 0 0 0 0 0 0 0 2214987270 4161078533 4284045657 4285690482 4285690482 4284045657 4161078533 1058280468 0 0 0 0 0 0 0 1023410176 4278190080 4285887861 4286611584 4286611584 4286611584 4286611584 4285887861 4278190080 1023410176 0 0 0 0 0 50331648 3422946822 4284045657 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4284045657 3422946822 50331648 0 0 0 0 0 4043572228 4285690482 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4285690482 4043572228 0 0 0 0 0 0 4043572228 4285690482 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4285690482 4043572228 0 0 0 0 0 33554432 3422946822 4284045657 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4284045657 3422946822 50331648 0 0 0 0 0 1006632960 4161078533 4285887861 4286611584 4286611584 4286611584 4286611584 4285887861 4278190080 1023410176 0 0 0 0 0 0 0 2214987270 4278190080 4284045657 4285690482 4285690482 4284045657 4161078533 2214987270 0 0 0 0 0 0 0 0 0 1006632960 3422946822 4043572228 4043572228 3422946822 1023410176 0 0 0 0 0 0 0 0 0 0 0 33554432 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:14'!
radioUnselectedForm
	^ Form fromBinaryStream: ( Base64MimeConverter mimeDecodeToBytes: self radioUnselectedFormContents readStream)
 ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:13'!
radioUnselectedFormContents
	^#( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 1023410176 3238002688 3909091328 3909091328 3238002688 1023410176 0 0 0 0 0 0 0 0 0 2097152000 3976200192 1275068416 452984832 452984832 1275068416 3976200192 872415232 0 0 0 0 0 0 0 1023410176 4278190080 335544320 0 0 0 0 335544320 4278190080 1023410176 0 0 0 0 0 50331648 3238002688 1275068416 0 0 0 0 0 0 1275068416 3238002688 50331648 0 0 0 0 0 3909091328 452984832 0 0 0 0 0 0 452984832 3909091328 0 0 0 0 0 0 3909091328 452984832 0 0 0 0 0 0 452984832 3909091328 0 0 0 0 0 33554432 3238002688 1275068416 0 0 0 0 0 0 1275068416 3238002688 50331648 0 0 0 0 0 1006632960 3992977408 335544320 0 0 0 0 335544320 4278190080 1023410176 0 0 0 0 0 0 0 2097152000 4278190080 1275068416 452984832 452984832 1275068416 3976200192 2097152000 0 0 0 0 0 0 0 0 0 1006632960 3238002688 3909091328 3909091328 3238002688 1023410176 0 0 0 0 0 0 0 0 0 0 0 33554432 0 0 50331648 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:41'!
windowCloseForm
	^ self form16x16FromContents: self windowCloseFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:24'!
windowCloseFormContents
	^#( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 167772160 0 0 0 0 0 0 0 0 167772160 3875536896 4076863488 234881024 0 234881024 2919235584 3858759680 0 0 0 0 0 0 0 0 402653184 3674210304 4261412864 3758096384 671088640 3758096384 4261412864 4278190080 335544320 0 0 0 0 0 0 0 0 352321536 3758096384 4143972352 4211081216 4143972352 3758096384 352321536 0 0 0 0 0 0 0 0 0 0 671088640 4211081216 4261412864 4211081216 671088640 0 0 0 0 0 0 0 0 0 0 352321536 3758096384 4143972352 4211081216 4143972352 3758096384 352321536 0 0 0 0 0 0 0 0 335544320 4278190080 4244635648 3758096384 671088640 3758096384 4143972352 3724541952 402653184 0 0 0 0 0 0 0 0 3892314112 2919235584 234881024 0 234881024 4278190080 1761607680 167772160 0 0 0 0 0 0 0 0 167772160 67108864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:41'!
windowCloseInactiveForm
	^ self form16x16FromContents: self windowCloseInactiveFromContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:23'!
windowCloseInactiveFromContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 176193664 0 0 0 0 0 0 0 0 176193664 3883958400 4085284992 243302528 0 243302528 2927657088 3867181184 0 0 0 0 0 0 0 0 411074688 3682631808 4269834368 3766517888 679049593 3766517888 4269834368 4286611584 343965824 0 0 0 0 0 0 0 0 360282489 3766517888 4152328063 4219436927 4152393856 3766517888 360282489 0 0 0 0 0 0 0 0 0 0 679049593 4219436927 4269834368 4219436927 679049593 0 0 0 0 0 0 0 0 0 0 360282489 3766517888 4152393856 4219436927 4152328063 3766517888 360282489 0 0 0 0 0 0 0 0 343965824 4286611584 4253057152 3766517888 679049593 3766517888 4152328063 3732963456 411074688 0 0 0 0 0 0 0 0 3900735616 2927657088 243302528 0 243302528 4286611584 1769897598 176193664 0 0 0 0 0 0 0 0 176193664 75530368 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:41'!
windowMaximizeForm
	^ self form16x16FromContents: self windowMaximizeFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:07'!
windowMaximizeFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:41'!
windowMaximizeInactiveForm
	^ self form16x16FromContents: self windowMaximizeInactiveFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:23'!
windowMaximizeInactiveFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:52'!
windowMenuForm
	^self form16x16FromContents: self windowMenuFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:52'!
windowMenuFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 352321536 3556769792 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3556769792 352321536 0 0 0 0 0 0 0 352321536 3556769792 4278190080 4278190080 4278190080 4278190080 3556769792 352321536 0 0 0 0 0 0 0 0 0 352321536 3556769792 4278190080 4278190080 3556769792 352321536 0 0 0 0 0 0 0 0 0 0 0 369098752 3556769792 3556769792 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 369098752 352321536 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:41'!
windowMenuInactiveForm
	^self form16x16FromContents: self windowMenuInactiveFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:15'!
windowMenuInactiveFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 360282489 3565191296 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 3565191296 360282489 0 0 0 0 0 0 0 360282489 3565191296 4286611584 4286611584 4286611584 4286611584 3565191296 360282489 0 0 0 0 0 0 0 0 0 360282489 3565191296 4286611584 4286611584 3565191296 360282489 0 0 0 0 0 0 0 0 0 0 0 377520256 3565191296 3565191296 360282489 0 0 0 0 0 0 0 0 0 0 0 0 0 377520256 360282489 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:41'!
windowMinimizeForm
	^self form16x16FromContents: self windowMinimizeFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:09'!
windowMinimizeFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/28/2010 13:42'!
windowMinimizeInactiveForm
	^self form16x16FromContents: self windowMinimizeInactiveFormContents ! !

!GLMUIThemeIcons class methodsFor: 'icons' stamp: 'FernandoOlivero 10/27/2010 15:23'!
windowMinimizeInactiveFormContents
	^ #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)! !

!GLMUIThemeIcons methodsFor: 'see class side' stamp: 'TudorGirba 1/30/2011 22:49'!
seeClassSide! !

TabPanelBorder subclass: #GLMTabPanelBorder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Morphic-Theme'!

!GLMTabPanelBorder commentStamp: '<historical>' prior: 0!
Specialized border for TabGroup. Does not draw border beneath the selectd tab and only draws on top.!

!GLMTabPanelBorder methodsFor: 'drawing' stamp: 'tg 9/10/2010 07:42'!
frameRectangle: aRectangle on: aCanvas
	"Draw the border taking the currently selected tab into account.
	Only works for top-positioned tabs for the moment."
	
	|w h r tab|
	w := self width.
	w isPoint ifTrue: [h := w y. w := w x] ifFalse:[h := w].
	tab := self selectedTab.
	tab ifNil: [	
		r := aRectangle topLeft + (w@0) corner: aRectangle topRight - (w@h negated).
		aCanvas fillRectangle: r color: self color.
		^self]. "top"
	r := aRectangle topLeft + (w@0) corner: tab bounds left + w@(aRectangle top + h).
	aCanvas fillRectangle: r color: self color. "top 1"
	r := tab bounds left + w@ aRectangle top corner: tab bounds right - w@(aRectangle top + h).
	aCanvas fillRectangle: r color: tab paneColor. "top 2"
	r :=  tab bounds right - w@ aRectangle top corner: aRectangle topRight - (w@h negated).
	aCanvas fillRectangle: r color: self color. "top 3"! !

Object subclass: #GLMUIThemeExtraIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Morphic-Theme'!

GLMUIThemeExtraIcons class
	instanceVariableNames: 'icons'!

!GLMUIThemeExtraIcons commentStamp: 'TudorGirba 1/30/2011 22:55' prior: 0!
This class offers a number of extra icons that work with the Glamorous Theme.!

GLMUIThemeExtraIcons class
	instanceVariableNames: 'icons'!

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousAccept
^ self icons
		at: #glamorousAccept ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 33554432 2969567232 4278190080 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 50331648 2969567232 4143972352 4043309056 973078528 16777215 16777215 16777215 16777215 16777215 16777215 16777215 536870912 16777215 16777215 50331648 2969567232 4143972352 4110417920 922746880 16777215 16777215 16777215 16777215 16777215 16777215 184549376 3758096384 4278190080 603979776 50331648 2969567232 4143972352 4110417920 922746880 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2365587456 4261412864 3976200192 3137339392 4143972352 4110417920 922746880 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100663296 3405774848 4227858432 4261412864 4143972352 922746880 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 167772160 4177526784 4278190080 1375731712 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 167772160 671088640 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousAdd
^ self icons
		at: #glamorousAdd ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousAlarm
^ self icons
		at: #glamorousAlarm ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 436207616 16777215 16777215 16777215 402653184 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100663296 3003121664 2399141888 16777215 16777215 16777215 2315255808 2969567232 100663296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1442840576 2097152000 1644496133 3122733345 3625852446 3122733345 1644496133 2113929216 1526726656 16777215 16777215 16777215 16777215 16777215 16777215 16777215 553648128 3171749133 4030939971 4289440683 4291282887 4289440683 4030939971 2133469738 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1594361864 4129761063 4291546059 4291546059 4291546059 4291546059 4291546059 4030939971 1594361864 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3122733345 4289440683 4291546059 4291546059 4291546059 4291546059 4291546059 4289440683 3122733345 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3625852446 4291282887 4291546059 4291546059 4291546059 4291546059 4291546059 4291282887 3625852446 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3122733345 4289440683 4291546059 4291546059 4291546059 4291546059 4291546059 4289440683 3122733345 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1594361864 4081205826 4291546059 4291546059 4291546059 4291546059 4291546059 4163315495 1594361864 16777215 16777215 16777215 16777215 16777215 16777215 16777215 536870912 4194961930 4129761063 4289440683 4291282887 4289440683 4030939971 4194961930 520093696 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1979711488 1056964608 1594361864 3122733345 3625852446 3122733345 1594361864 1073741824 1979711488 16777215 16777215 16777215 16777215 16777215 16777215 16777215 520093696 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousBookmark
^ self icons
		at: #glamorousBookmark ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3321888768 4009754624 4194304000 3909091328 3254779904 2130706432 251658240 2147483648 3254779904 3909091328 4194304000 4009754624 3321888768 16777215 16777215 16777215 4278190080 285212672 33554432 335544320 1157627904 3456106496 4278190080 3422552064 1157627904 335544320 33554432 285212672 4278190080 16777215 16777215 16777215 4261412864 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4261412864 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 4278190080 1946157056 2181038080 1862270976 1191182336 268435456 4278190080 268435456 1191182336 1862270976 2181038080 1946157056 4278190080 16777215 16777215 16777215 1862270976 2348810240 2063597568 2399141888 3221225472 4278190080 4278190080 4278190080 3221225472 2399141888 2063597568 2348810240 1862270976 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 637534208 4278190080 654311424 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousBrowse
^ self icons
		at: #glamorousBrowse ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2248146944 2113929216 2130706432 2113929216 2113929216 2130706432 2113929216 2130706432 2130706432 2113929216 3305111552 3388997632 788529152 16777215 16777215 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3271557120 2281701376 553648128 16777215 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1996488704 687865856 2986344448 721420288 16777215 2130706432 16777215 16777215 16777215 1056964608 2130706432 2130706432 2130706432 2130706432 2130706432 1056964608 2113929216 1996488704 2952790016 3976200192 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3355443200 16777215 2130706432 16777215 16777215 16777215 1056964608 2130706432 2130706432 2130706432 2130706432 2130706432 1056964608 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 1056964608 1073741824 2130706432 2130706432 2130706432 2130706432 1073741824 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 1056964608 1073741824 2130706432 2130706432 2130706432 2130706432 1073741824 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 1056964608 1073741824 2130706432 2130706432 2130706432 2130706432 1073741824 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 16777215 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 16777215 2113929216 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2130706432 2113929216)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousBug
^ self icons
		at: #glamorousBug ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1224736768 503316480 16777215 1224736768 503316480 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 268435456 4278190080 4278190080 2181038080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2734686208 4278190080 4177526784 4278190080 2365587456 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 150994944 4278190080 4278190080 4278190080 4278190080 4043309056 150994944 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2634746635 4278190080 4283190348 4286216826 4283190348 4278190080 1478895142 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2450065673 4278190080 4293454056 4294967295 4294967295 4294967295 4293454056 4179171609 2450065673 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3976923915 4292532954 4294967295 4294967295 4294967295 4294967295 4294967295 4292532954 3976923915 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3976923915 4292532954 4294967295 4294967295 4294967295 4294967295 4294967295 4292532954 3976923915 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2450065673 4179237402 4293388263 4294967295 4294967295 4294967295 4293388263 4278190080 2450065673 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2685078283 4278190080 4065349712 4202462332 4065349712 4278190080 2282819857 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 469762048 1543503872 2147483648 1543503872 469762048 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousCancel
^ self icons
		at: #glamorousCancel ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 587202560 2348810240 234881024 16777215 318767104 939524096 369098752 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3925868544 4127195136 2801795072 201326592 3472883712 4093640704 2466250752 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 436207616 4127195136 4143972352 3992977408 4143972352 3959422976 570425344 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1157627904 4244635648 4261412864 4160749568 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 184549376 3472883712 4160749568 4261412864 4160749568 2801795072 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3472883712 4244635648 3959422976 1442840576 4110417920 4227858432 1493172224 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1895825408 3976200192 520093696 16777215 1157627904 4160749568 1258291200 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 520093696 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousDown
^ self icons
		at: #glamorousDown ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 956301312 1073741824 1073741824 4278190080 4278190080 1073741824 1073741824 956301312 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1828716544 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1828716544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2852126720 4278190080 4278190080 4278190080 4278190080 2852126720 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 3640655872 4278190080 4278190080 3640655872 218103808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 4127195136 4127195136 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1627389952 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousEdit
^ self icons
		at: #glamorousEdit ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2248146944 4278190080 570425344 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2315255808 3456106496 1593835520 3875536896 687865856 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2315255808 3456106496 301989888 16777215 1509949440 3875536896 687865856 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2315255808 3456106496 301989888 16777215 16777215 218103808 3003121664 2634022912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 989855744 3070230528 50331648 16777215 16777215 301989888 3489660928 2281701376 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1862270976 2600468480 16777215 16777215 301989888 3489660928 2281701376 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3103784960 1358954496 67108864 1140850688 3640655872 2281701376 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 150994944 4278190080 2952790016 4194304000 4278190080 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 2449473536 1560281088 352321536 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousExample
^ self icons
		at: #glamorousExample ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1291845632 1593835520 16777215 16777215 16777215 1593835520 3439329280 2667577344 2566914048 83886080 16777215 83886080 2365587456 3221225472 3087007744 3422552064 2449473536 2785017856 16777215 16777215 1090519040 4278190080 1409286144 16777215 3305111552 2214592512 16777215 1677721600 4278190080 1275068416 150994944 4160749568 2550136832 16777215 16777215 16777215 2634022912 4278190080 1795162112 1375731712 3456106496 3321888768 16777215 1879048192 4278190080 1124073472 100663296 4110417920 2969567232 16777215 16777215 16777215 2835349504 4278190080 1543503872 989855744 989855744 889192448 16777215 218103808 3422552064 3472883712 2801795072 3405774848 654311424 16777215 16777215 16777215 1694498816 4278190080 1728053248 16777215 33554432 1795162112 16777215 1207959552 2298478592 419430400 251658240 33554432 16777215 16777215 16777215 16777215 33554432 2415919104 3992977408 2483027968 2483027968 704643072 16777215 1073741824 4127195136 4244635648 4278190080 4227858432 3238002688 83886080 16777215 16777215 16777215 16777215 100663296 318767104 16777215 16777215 16777215 1291845632 2785017856 1795162112 1526726656 1711276032 3690987520 1006632960 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1962934272 2701131776 939524096 889192448 1577058304 2885681152 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 687865856 1291845632 1308622848 838860800 16777216 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousGrayCircle
^ self icons
		at: #glamorousGrayCircle ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 109084800 2274464145 3885142674 3885142674 2274464145 109084800 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2274464145 4287795858 4287795858 4287795858 4287795858 2274464145 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3885142674 4287795858 4287795858 4287795858 4287795858 3885142674 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3885142674 4287795858 4287795858 4287795858 4287795858 3885142674 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2274464145 4287795858 4287795858 4287795858 4287795858 2274464145 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 109084800 2274464145 3885142674 3885142674 2274464145 109084800 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousGreenCircle
^ self icons
		at: #glamorousGreenCircle ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100696064 2264962304 3875575296 3875575296 2264962304 100696064 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2264962304 4278228736 4278228736 4278228736 4278228736 2264962304 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3875575296 4278228736 4278228736 4278228736 4278228736 3875575296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3875575296 4278228736 4278228736 4278228736 4278228736 3875575296 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2264962304 4278228736 4278228736 4278228736 4278228736 2264962304 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100696064 2264962304 3875575296 3875575296 2264962304 100696064 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousHelp
^ self icons
		at: #glamorousHelp ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 167772160 117440512 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 3489660928 3003121664 4278190080 3003121664 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 452984832 4278190080 352321536 1778384896 4278190080 536870912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 452984832 4278190080 1442840576 1442840576 4278190080 637534208 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 285212672 16777215 3741319168 4278190080 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 637534208 4278190080 167772160 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2348810240 452984832 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 872415232 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 285212672 4278190080 3489660928 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 285212672 4278190080 3489660928 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousInspect
^ self icons
		at: #glamorousInspect ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 4009754624 2566914048 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 167772160 4278190080 4009754624 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 117440512 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2147483648 2785017856 2348810240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 67108864 4278190080 3741319168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3489660928 3741319168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3489660928 3741319168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3489660928 3741319168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2566914048 4278190080 4278190080 2785017856 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousInto
^ self icons
		at: #glamorousInto ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1258291200 4278190080 4278190080 4278190080 4278190080 4278190080 1258291200 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 251658240 4009754624 4278190080 4278190080 4278190080 4009754624 251658240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1442840576 4076863488 4278190080 4076863488 1459617792 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3238002688 4177526784 3254779904 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 536870912 3992977408 536870912 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousLeft
^ self icons
		at: #glamorousLeft ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1828716544 956301312 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 2852126720 4278190080 1073741824 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 3640655872 4278190080 4278190080 1073741824 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1627389952 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 1627389952 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 3640655872 4278190080 4278190080 1073741824 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 2852126720 4278190080 1073741824 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1828716544 956301312 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousLeftSide
^ self icons
		at: #glamorousLeftSide ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousOpen
^ self icons
		at: #glamorousOpen ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 16777215 16777215 16777215 4143972352 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1208683275 16777215 4278190080 16777215 16777215 16777215 2600929031 4181934915 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4286479998 4093903876 201326592 4278190080 16777215 16777215 16777215 520093696 4144301317 4287203721 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4096667182 1996620290 4278190080 16777215 16777215 16777215 16777215 2869364487 4283058762 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4286085240 4026860805 4278190080 16777215 16777215 16777215 16777215 704643072 4278650631 4287466893 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4287795858 4079363622 4278190080 16777215 16777215 16777215 16777215 16777215 4262005001 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261610243 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousOver
^ self icons
		at: #glamorousOver ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1258291200 251658240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4043309056 1509949440 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4093640704 3355443200 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4194304000 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4093640704 3355443200 570425344 16777215 16777215 16777215 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 16777215 4278190080 4026531840 1509949440 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 1258291200 251658240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousPlay
^ self icons
		at: #glamorousPlay ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4110417920 1879048192 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4076863488 3456106496 603979776 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4227858432 4110417920 1895825408 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4076863488 3456106496 603979776 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4194304000 4009754624 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4076863488 3456106496 570425344 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4227858432 4110417920 1895825408 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4076863488 3472883712 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4110417920 1895825408 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRedCircle
^ self icons
		at: #glamorousRedCircle ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 114622464 2279547942 3890160678 3890160678 2279547942 114622464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2279547942 4292879654 4292879654 4292879654 4292879654 2279547942 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3890160678 4292879654 4292879654 4292879654 4292879654 3890160678 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3890160678 4292879654 4292879654 4292879654 4292879654 3890160678 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2279547942 4292879654 4292879654 4292879654 4292879654 2279547942 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 114622464 2279547942 3890160678 3890160678 2279547942 114622464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRedo
^ self icons
		at: #glamorousRedo ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 956301312 1828716544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1073741824 4278190080 2852126720 218103808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1073741824 4278190080 4278190080 3640655872 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 1073741824 4278190080 4278190080 3640655872 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 1073741824 4278190080 2852126720 218103808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 956301312 1828716544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRefresh
^ self icons
		at: #glamorousRefresh ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 3875536896 3036676096 1660944384 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 3221225472 402653184 16777215 16777215 16777215 16777215 16777215 687865856 4009754624 704643072 16777215 16777215 16777215 402653184 1476395008 3791650816 4278190080 3154116608 33554432 16777215 16777215 16777215 167772160 3758096384 4227858432 3791650816 167772160 16777215 16777215 16777215 16777215 301989888 3808428032 4278190080 1694498816 16777215 16777215 16777215 2801795072 4127195136 4278190080 4110417920 2835349504 16777215 16777215 16777215 16777215 16777215 1493172224 4278190080 2986344448 16777215 16777215 1593835520 4110417920 4278190080 4278190080 4278190080 4093640704 1627389952 16777215 16777215 16777215 16777215 369098752 4278190080 3992977408 16777215 16777215 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 16777215 16777215 16777215 16777215 469762048 4278190080 4076863488 16777215 16777215 16777215 16777215 3355443200 4278190080 1509949440 16777215 16777215 16777215 16777215 16777215 16777215 1493172224 4278190080 3338665984 16777215 16777215 16777215 16777215 1778384896 4278190080 3808428032 335544320 16777215 16777215 16777215 16777215 335544320 3774873600 4278190080 1577058304 16777215 16777215 16777215 16777215 33554432 3120562176 4278190080 3774873600 1493172224 469762048 369098752 1509949440 3808428032 4278190080 3271557120 16777215 16777215 16777215 16777215 16777215 16777215 369098752 3271557120 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3120562176 369098752 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 1577058304 3338665984 4076863488 4093640704 3355443200 1778384896 33554432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRemove
^ self icons
		at: #glamorousRemove ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2130706432 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRestart
^ self icons
		at: #glamorousRestart ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 721420288 1073741824 855638016 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2717908992 4278190080 3724541952 16777215 16777215 16777215 16777215 16777215 654311424 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2835349504 4278190080 3640655872 16777215 16777215 16777215 822083584 3623878656 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2936012800 4278190080 3523215360 16777215 402653184 2952790016 4177526784 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3053453312 4278190080 3388997632 16777215 4278190080 4227858432 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3154116608 4278190080 3271557120 16777215 3053453312 4160749568 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3271557120 4278190080 3154116608 16777215 16777215 704643072 3422552064 4194304000 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3388997632 4278190080 3053453312 16777215 16777215 16777215 16777215 1291845632 2885681152 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 1073741824 805306368 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRight
^ self icons
		at: #glamorousRight ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 956301312 1828716544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1073741824 4278190080 2852126720 218103808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1073741824 4278190080 4278190080 3640655872 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4127195136 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1073741824 4278190080 4278190080 3640655872 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1073741824 4278190080 2852126720 218103808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 956301312 1828716544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousRightSide
^ self icons
		at: #glamorousRightSide ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4261412864)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousSearch
^ self icons
		at: #glamorousSearch ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 989855744 3019898880 3875536896 3875536896 3019898880 989855744 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2046820352 4244635648 4278190080 4278190080 4278190080 4278190080 4244635648 2046820352 16777215 16777215 16777215 16777215 16777215 16777215 16777215 989855744 4244635648 4177526784 2013265920 402653184 402653184 2013265920 4177526784 4244635648 989855744 16777215 16777215 16777215 16777215 16777215 16777215 3019898880 4278190080 2013265920 16777215 16777215 16777215 16777215 2013265920 4278190080 3019898880 16777215 16777215 16777215 16777215 16777215 16777215 3875536896 4278190080 402653184 16777215 16777215 16777215 16777215 402653184 4278190080 3875536896 16777215 16777215 16777215 16777215 16777215 16777215 3875536896 4278190080 402653184 16777215 16777215 16777215 16777215 402653184 4278190080 3875536896 16777215 16777215 16777215 16777215 16777215 16777215 3019898880 4278190080 2013265920 16777215 16777215 16777215 16777215 2013265920 4278190080 3019898880 16777215 16777215 16777215 16777215 16777215 16777215 989855744 4244635648 4177526784 2013265920 402653184 402653184 2080374784 4211081216 4278190080 1644167168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2046820352 4244635648 4278190080 4278190080 4278190080 4278190080 4261412864 4278190080 4060086272 822083584 16777215 16777215 16777215 16777215 16777215 16777215 16777215 989855744 3019898880 3875536896 3875536896 3036676096 4110417920 4278190080 4278190080 4060086272 83886080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 805306368 4060086272 4278190080 3992977408 2281701376 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 989855744 4278190080 1476395008 150994944 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 553648128 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousSpawn
^ self icons
		at: #glamorousSpawn ifAbsentPut: [(Form
	extent: (16@18)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 1979711488 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 503316480 4278190080 3992977408 2919235584 184549376 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 754974720 2852126720 3909091328 4278190080 4278190080 4278190080 4060086272 3674210304 620756992 16777215 16777215 16777215 16777215 16777215 16777215 1711276032 4143972352 4278190080 4278190080 3825205248 4278190080 4278190080 4278190080 4127195136 1912602624 16777215 16777215 16777215 16777215 16777215 973078528 4244635648 4261412864 2399141888 452984832 16777215 4278190080 4278190080 4026531840 2751463424 268435456 16777215 16777215 16777215 16777215 16777215 3556769792 4278190080 2046820352 16777215 16777215 16777215 4278190080 4060086272 1778384896 16777215 16777215 16777215 16777215 16777215 16777215 469762048 4278190080 3858759680 67108864 16777215 16777215 16777215 3590324224 1006632960 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1308622848 4278190080 2969567232 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1426063360 3758096384 2315255808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousThrough
^ self icons
		at: #glamorousThrough ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 16777215 1258291200 251658240 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4009754624 1459617792 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4076863488 3254779904 536870912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4177526784 3992977408 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4076863488 3238002688 536870912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4009754624 1442840576 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 16777215 1258291200 251658240 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4261412864 4278190080 4261412864 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousUndo
^ self icons
		at: #glamorousUndo ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1828716544 956301312 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 2852126720 4278190080 1073741824 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 3640655872 4278190080 4278190080 1073741824 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1627389952 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 1627389952 4127195136 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 3640655872 4278190080 4278190080 1073741824 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 2852126720 4278190080 1073741824 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1828716544 956301312 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousUp
^ self icons
		at: #glamorousUp ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1627389952 1627389952 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 771751936 4127195136 4127195136 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 218103808 3640655872 4278190080 4278190080 3640655872 218103808 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2852126720 4278190080 4278190080 4278190080 4278190080 2852126720 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1828716544 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1828716544 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 956301312 1073741824 1073741824 4278190080 4278190080 1073741824 1073741824 956301312 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousZoomIn
^ self icons
		at: #glamorousZoomIn ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1644167168 3036676096 3875536896 3875536896 3036676096 1644167168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 419430400 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 419430400 16777215 16777215 16777215 16777215 16777215 16777215 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 16777215 16777215 16777215 16777215 16777215 1644167168 4278190080 4278190080 4278190080 4278190080 16777215 16777215 4278190080 4278190080 4278190080 4278190080 1644167168 16777215 16777215 16777215 16777215 3036676096 4278190080 4278190080 4278190080 4278190080 16777215 16777215 4278190080 4278190080 4278190080 4278190080 3036676096 16777215 16777215 16777215 16777215 3875536896 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 3875536896 16777215 16777215 16777215 16777215 3875536896 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 3875536896 16777215 16777215 16777215 16777215 3036676096 4278190080 4278190080 4278190080 4278190080 16777215 16777215 4278190080 4278190080 4278190080 4278190080 3036676096 16777215 16777215 16777215 16777215 1644167168 4278190080 4278190080 4278190080 4278190080 16777215 16777215 4278190080 4278190080 4278190080 4278190080 1644167168 16777215 16777215 16777215 16777215 16777215 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 16777215 16777215 16777215 16777215 16777215 16777215 419430400 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 419430400 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1644167168 3036676096 3875536896 3875536896 3036676096 1644167168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'icons' stamp: 'TudorGirba 6/21/2013 11:58'!
glamorousZoomOut
^ self icons
		at: #glamorousZoomOut ifAbsentPut: [(Form
	extent: (16@16)
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1644167168 3036676096 3875536896 3875536896 3036676096 1644167168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 419430400 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 419430400 16777215 16777215 16777215 16777215 16777215 16777215 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 16777215 16777215 16777215 16777215 16777215 1644167168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1644167168 16777215 16777215 16777215 16777215 3036676096 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3036676096 16777215 16777215 16777215 16777215 3875536896 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 3875536896 16777215 16777215 16777215 16777215 3875536896 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 3875536896 16777215 16777215 16777215 16777215 3036676096 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3036676096 16777215 16777215 16777215 16777215 1644167168 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 1644167168 16777215 16777215 16777215 16777215 16777215 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 16777215 16777215 16777215 16777215 16777215 16777215 419430400 3137339392 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 3137339392 419430400 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1644167168 3036676096 3875536896 3875536896 3036676096 1644167168 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: (0@0))]! !

!GLMUIThemeExtraIcons class methodsFor: 'utils' stamp: 'TudorGirba 1/31/2011 00:16'!
icons
	^ icons ifNil: [icons := Dictionary new] ! !

!GLMUIThemeExtraIcons class methodsFor: 'utils' stamp: 'TudorGirba 6/21/2013 11:57'!
importIcons
	"self importIcons"
	| wantedIcons |
	self resetIcons.
	wantedIcons := #(
		'glamorousInspect'
		'glamorousExample'
		'glamorousHelp'
		'glamorousSearch'
		'glamorousAccept'
		'glamorousCancel'
		'glamorousBrowse'
		'glamorousAdd'
		'glamorousRemove'
		'glamorousUp'
		'glamorousDown'
		'glamorousLeft'
		'glamorousRight'
		'glamorousEdit'
		'glamorousAlarm'
		'glamorousRedCircle'
		'glamorousGreenCircle'
		'glamorousGrayCircle'
		'glamorousUndo'
		'glamorousRedo'
		'glamorousPlay'
		'glamorousRestart'
		'glamorousOver'
		'glamorousInto'
		'glamorousThrough'
		'glamorousBookmark'
		'glamorousOpen'
		'glamorousRefresh'
		'glamorousSpawn'
		'glamorousBug'
		'glamorousLeftSide'
		'glamorousRightSide'
		'glamorousZoomIn'
		'glamorousZoomOut').
	(Smalltalk at:
	 #MooseScripts) 
		importIcons: wantedIcons 
		fromFolder: 'icons' 
		inClass: self 
		category: 'icons'! !

!GLMUIThemeExtraIcons class methodsFor: 'utils' stamp: 'TudorGirba 1/31/2011 00:16'!
resetIcons
	icons := nil! !
